# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2021_10_18_142636) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "accounting_zones", force: :cascade do |t|
    t.string "name", limit: 255
    t.text "description"
    t.boolean "enabled", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "admin_admin_roles", force: :cascade do |t|
    t.bigint "admin_id"
    t.bigint "admin_role_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["admin_id"], name: "idx_53785_index_admin_admin_roles_on_admin_id"
    t.index ["admin_role_id"], name: "idx_53785_index_admin_admin_roles_on_admin_role_id"
  end

  create_table "admin_permission_admin_roles", force: :cascade do |t|
    t.bigint "admin_permission_id"
    t.bigint "admin_role_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["admin_permission_id"], name: "idx_53803_index_admin_permission_admin_roles_on_admin_permissio"
    t.index ["admin_role_id"], name: "idx_53803_index_admin_permission_admin_roles_on_admin_role_id"
  end

  create_table "admin_permissions", force: :cascade do |t|
    t.string "name", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "code", limit: 255
    t.string "slug", limit: 255
    t.bigint "parent_id"
    t.bigint "position"
  end

  create_table "admin_preferences", force: :cascade do |t|
    t.bigint "admin_id"
    t.string "key", limit: 255
    t.text "value"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["admin_id"], name: "idx_53809_index_admin_preferences_on_admin_id"
  end

  create_table "admin_roles", force: :cascade do |t|
    t.string "name", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "admins", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "firstname", limit: 255
    t.string "avatar", limit: 255
    t.string "username", limit: 255, default: ""
    t.string "email", limit: 255, default: ""
    t.string "password_digest", limit: 255, default: ""
    t.string "reset_password_token", limit: 255
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.bigint "sign_in_count", default: 0
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string "current_sign_in_ip", limit: 255
    t.string "last_sign_in_ip", limit: 255
    t.string "remember_token", limit: 255
    t.bigint "p_commercial_id"
    t.boolean "super_admin", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "societe_id"
  end

  create_table "albums", force: :cascade do |t|
    t.string "name", limit: 255
    t.boolean "super_admin", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "block_contents", force: :cascade do |t|
    t.bigint "style"
    t.bigint "nbr_columns"
    t.bigint "row1"
    t.bigint "row2"
    t.bigint "row3"
    t.bigint "row4"
    t.bigint "image_file_id"
    t.bigint "margin_top"
    t.bigint "margin_bottom"
    t.bigint "margin_left"
    t.bigint "margin_right"
    t.bigint "padding_top"
    t.bigint "padding_bottom"
    t.bigint "padding_left"
    t.bigint "padding_right"
    t.boolean "parallax", default: false
    t.boolean "center", default: false
    t.bigint "center_width"
    t.string "background_color", limit: 255
    t.string "gradient_start", limit: 255
    t.string "gradient_stop", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["image_file_id"], name: "idx_53852_index_block_contents_on_image_file_id"
  end

  create_table "blocks", force: :cascade do |t|
    t.bigint "lang_site_id"
    t.string "block_name", limit: 255
    t.string "blockable_type", limit: 255
    t.bigint "blockable_id"
    t.text "content"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["blockable_id"], name: "idx_53841_index_blocks_on_blockable_id"
    t.index ["lang_site_id"], name: "idx_53841_index_blocks_on_lang_site_id"
  end

  create_table "break_contents", force: :cascade do |t|
    t.boolean "line", default: false
    t.bigint "height"
    t.string "style", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "categories", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.boolean "enabled", default: false
    t.text "description"
    t.bigint "image_file_id"
    t.bigint "position"
    t.bigint "parent_id"
    t.string "permalink", limit: 255
    t.boolean "front_page", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["parent_id"], name: "idx_53874_index_categories_on_parent_id"
  end

  create_table "category_categoryables", force: :cascade do |t|
    t.bigint "category_id"
    t.string "categoryable_type", limit: 255
    t.bigint "categoryable_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["category_id"], name: "idx_53888_index_category_categoryables_on_category_id"
  end

  create_table "category_langs", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.text "description"
    t.bigint "image_file_id"
    t.bigint "lang_site_id"
    t.bigint "category_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["category_id"], name: "idx_53895_index_category_langs_on_category_id"
    t.index ["lang_site_id"], name: "idx_53895_index_category_langs_on_lang_site_id"
  end

  create_table "cel_tables", force: :cascade do |t|
    t.bigint "position"
    t.bigint "style"
    t.bigint "table_row_id"
    t.bigint "table_content_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["table_row_id"], name: "idx_53906_index_cel_tables_on_table_row_id"
  end

  create_table "comments", force: :cascade do |t|
    t.string "pseudo", limit: 255, default: ""
    t.string "email", limit: 255, default: ""
    t.string "website", limit: 255, default: ""
    t.boolean "enabled", default: false
    t.text "comment"
    t.string "commentable_type", limit: 255
    t.bigint "commentable_id"
    t.bigint "user_id"
    t.bigint "parent_id"
    t.boolean "notified", default: false
    t.datetime "notified_at"
    t.bigint "lang_site_id", default: 1
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["commentable_id"], name: "idx_53912_index_comments_on_commentable_id"
    t.index ["lang_site_id"], name: "idx_53912_index_comments_on_lang_site_id"
    t.index ["parent_id"], name: "idx_53912_index_comments_on_parent_id"
  end

  create_table "contacts", force: :cascade do |t|
    t.string "civilite", limit: 255
    t.string "firstname", limit: 255
    t.string "name", limit: 255
    t.string "address", limit: 255
    t.string "address2", limit: 255
    t.string "cp", limit: 255
    t.string "city", limit: 255
    t.string "country", limit: 255
    t.string "phone", limit: 255
    t.string "token", limit: 255
    t.string "email", limit: 255
    t.string "website", limit: 255
    t.bigint "raison_id"
    t.text "message"
    t.text "notes"
    t.bigint "survey_set_id"
    t.string "raison_text", limit: 255
    t.text "objet"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "data_file_categories", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.bigint "parent_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "data_file_passwords", force: :cascade do |t|
    t.bigint "data_file_id"
    t.string "token", limit: 255
    t.text "description"
    t.bigint "nbr_downloads"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["data_file_id"], name: "idx_53980_index_data_file_passwords_on_data_file_id"
  end

  create_table "data_files", force: :cascade do |t|
    t.string "file", limit: 255
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.string "token", limit: 255
    t.string "description", limit: 255
    t.bigint "file_folder_id"
    t.string "title", limit: 255
    t.text "long_desc"
    t.boolean "boutique", default: false
    t.bigint "data_file_category_id"
    t.bigint "image_file_id"
    t.text "yumpu_content"
    t.boolean "show_yumpu", default: false
    t.bigint "square_image_file_id"
    t.boolean "order_link", default: false
    t.boolean "download_link", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["data_file_category_id"], name: "idx_53950_index_data_files_on_data_file_category_id"
    t.index ["file_folder_id"], name: "idx_53950_index_data_files_on_file_folder_id"
    t.index ["image_file_id"], name: "idx_53950_index_data_files_on_image_file_id"
    t.index ["square_image_file_id"], name: "idx_53950_index_data_files_on_square_image_file_id"
  end

  create_table "download_contents", force: :cascade do |t|
    t.string "title", limit: 255
    t.string "style", limit: 255
    t.text "description"
    t.bigint "data_file_id"
    t.boolean "boutique", default: false
    t.boolean "show_yumpu", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["data_file_id"], name: "idx_53990_index_download_contents_on_data_file_id"
  end

  create_table "dynamic_contents", force: :cascade do |t|
    t.string "name", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "edit_watchers", force: :cascade do |t|
    t.string "element_type", limit: 255
    t.bigint "element_id"
    t.string "key", limit: 255
    t.bigint "admin_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["admin_id"], name: "idx_54010_index_edit_watchers_on_admin_id"
  end

  create_table "export_hists", force: :cascade do |t|
    t.string "piece", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "external_links", force: :cascade do |t|
    t.string "title", limit: 255
    t.text "description"
    t.string "url", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "file_folders", force: :cascade do |t|
    t.string "name", limit: 255
    t.boolean "super_admin", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "gallery_contents", force: :cascade do |t|
    t.string "name", limit: 255
    t.text "description"
    t.bigint "style"
    t.bigint "nbr_img"
    t.boolean "with_legend", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "gallery_images", force: :cascade do |t|
    t.string "title", limit: 255
    t.text "description"
    t.string "tags", limit: 255
    t.bigint "position"
    t.bigint "image_file_id"
    t.bigint "gallery_content_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["gallery_content_id"], name: "idx_54058_index_gallery_images_on_gallery_content_id"
    t.index ["image_file_id"], name: "idx_54058_index_gallery_images_on_image_file_id"
  end

  create_table "hashtaggings", force: :cascade do |t|
    t.bigint "hashtag_id"
    t.string "hashtaggable_type", limit: 255
    t.bigint "hashtaggable_id"
    t.bigint "lang_site_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["hashtag_id"], name: "idx_54069_index_hashtaggings_on_hashtag_id"
    t.index ["hashtaggable_id"], name: "idx_54069_index_hashtaggings_on_hashtaggable_id"
  end

  create_table "hashtags", force: :cascade do |t|
    t.string "name", limit: 255
    t.boolean "enabled", default: false
    t.bigint "lang_site_id"
    t.string "slug", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "html_contents", force: :cascade do |t|
    t.text "content"
    t.string "style", limit: 255
    t.string "content_type", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "i_task_projects", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.bigint "admin_id"
    t.text "description"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["admin_id"], name: "idx_54203_index_i_task_projects_on_admin_id"
  end

  create_table "i_tasks", force: :cascade do |t|
    t.bigint "i_task_project_id"
    t.string "name", limit: 255
    t.text "descritpion"
    t.date "end_at"
    t.bigint "image_file_id"
    t.boolean "done", default: false
    t.bigint "minutes"
    t.bigint "admin_id"
    t.date "done_at"
    t.boolean "urgent", default: false
    t.bigint "i_previ_id"
    t.bigint "i_task_type_id"
    t.boolean "from_customer", default: false
    t.bigint "i_task_bill_state_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["admin_id"], name: "idx_54190_index_i_tasks_on_admin_id"
    t.index ["i_task_project_id"], name: "idx_54190_index_i_tasks_on_i_task_project_id"
  end

  create_table "image_contents", force: :cascade do |t|
    t.bigint "image_file_id"
    t.bigint "width"
    t.bigint "height"
    t.string "alignement", limit: 255
    t.boolean "expandable", default: false
    t.string "style", limit: 255
    t.string "alt", limit: 255
    t.bigint "cible_id"
    t.string "cible_type", limit: 255
    t.boolean "with_cible", default: false
    t.boolean "popup", default: false
    t.bigint "margin_top"
    t.bigint "margin_left"
    t.bigint "margin_right"
    t.bigint "margin_bottom"
    t.boolean "with_legend", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["cible_id"], name: "idx_54099_index_image_contents_on_cible_id"
    t.index ["image_file_id"], name: "idx_54099_index_image_contents_on_image_file_id"
  end

  create_table "image_files", force: :cascade do |t|
    t.string "file", limit: 255
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.text "description"
    t.string "tags", limit: 255
    t.bigint "album_id"
    t.string "photograph", limit: 255
    t.string "cible_type", limit: 255
    t.bigint "cible_id"
    t.string "origin_name", limit: 255
    t.string "token_s", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "import_csv_champs", force: :cascade do |t|
    t.string "champ", limit: 255
    t.string "header", limit: 255
    t.string "value", limit: 255
    t.bigint "import_csv_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["import_csv_id"], name: "idx_54147_index_import_csv_champs_on_import_csv_id"
  end

  create_table "import_csv_elements", force: :cascade do |t|
    t.bigint "import_csv_id"
    t.string "element_type", limit: 255
    t.bigint "element_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["import_csv_id"], name: "idx_54159_index_import_csv_elements_on_import_csv_id"
  end

  create_table "import_csv_headers", force: :cascade do |t|
    t.bigint "import_csv_id"
    t.string "name", limit: 255
    t.string "champ", limit: 255
    t.boolean "custom", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["import_csv_id"], name: "idx_54166_index_import_csv_headers_on_import_csv_id"
  end

  create_table "import_csvs", force: :cascade do |t|
    t.string "file", limit: 255
    t.text "notes"
    t.boolean "imported", default: false
    t.string "table_name", limit: 255
    t.datetime "imported_at"
    t.string "token", limit: 255
    t.bigint "parent_id"
    t.string "name", limit: 255
    t.text "description"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "ingredients", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "i_type", limit: 255
    t.boolean "public", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "lang_articles", force: :cascade do |t|
    t.datetime "published_at"
    t.string "title", limit: 255
    t.string "slug", limit: 255
    t.text "description"
    t.text "keywords"
    t.boolean "enabled", default: false
    t.bigint "image_file_id"
    t.boolean "title_cached", default: false
    t.string "tags_cache", limit: 255
    t.string "tags_cache_slug", limit: 255
    t.bigint "lang_site_id"
    t.bigint "article_id"
    t.string "html_title", limit: 255
    t.string "fb_title", limit: 255
    t.string "twitter_title", limit: 255
    t.text "twitter_description"
    t.bigint "without_text_image_file_id"
    t.bigint "slider_image_file_id"
    t.text "chapeau"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["article_id"], name: "idx_54214_index_lang_articles_on_article_id"
    t.index ["image_file_id"], name: "idx_54214_index_lang_articles_on_image_file_id"
    t.index ["lang_site_id"], name: "idx_54214_index_lang_articles_on_lang_site_id"
    t.index ["slider_image_file_id"], name: "idx_54214_index_lang_articles_on_slider_image_file_id"
  end

  create_table "lang_pages", force: :cascade do |t|
    t.bigint "lang_site_id"
    t.bigint "page_id"
    t.text "title"
    t.text "description"
    t.text "keywords"
    t.string "twitter_title", limit: 255
    t.text "twitter_description"
    t.bigint "without_text_image_file_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["lang_site_id"], name: "idx_54232_index_lang_pages_on_lang_site_id"
    t.index ["page_id"], name: "idx_54232_index_lang_pages_on_page_id"
    t.index ["without_text_image_file_id"], name: "idx_54232_index_lang_pages_on_without_text_image_file_id"
  end

  create_table "lang_sites", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.boolean "enabled", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "line_stock_usages", force: :cascade do |t|
    t.bigint "line_stock_id"
    t.decimal "qte", precision: 14, scale: 2
    t.decimal "cc_price_u_ht", precision: 14, scale: 2
    t.decimal "ac_price_u_ht", precision: 14, scale: 2
    t.decimal "cc_price_ht", precision: 14, scale: 2
    t.decimal "ac_price_ht", precision: 14, scale: 2
    t.bigint "dest_line_stock_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["line_stock_id"], name: "idx_54286_index_line_stock_usages_on_line_stock_id"
  end

  create_table "line_stocks", force: :cascade do |t|
    t.bigint "p_product_ref_id"
    t.text "description"
    t.decimal "qte", precision: 14, scale: 2
    t.decimal "qte_available", precision: 14, scale: 2
    t.decimal "qte_used", precision: 14, scale: 2
    t.decimal "price_ht", precision: 14, scale: 2
    t.bigint "price_line_block_id"
    t.bigint "price_line_id"
    t.string "stockable_type", limit: 255
    t.bigint "stockable_id"
    t.datetime "date"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "ac_line_type", limit: 255
    t.string "cc_line_type", limit: 255
    t.bigint "stock_movement_line_id"
    t.decimal "cc_price_ht_available", precision: 14, scale: 2
    t.decimal "cc_price_ht_used", precision: 14, scale: 2
    t.decimal "cc_price_u_ht", precision: 14, scale: 2
    t.decimal "cc_price_u_kg_ht", precision: 14, scale: 2
    t.decimal "cc_qte_kg", precision: 14, scale: 2
    t.decimal "cc_qte_kg_per_unit", precision: 14, scale: 2
    t.decimal "cc_qte_kg_available", precision: 14, scale: 2
    t.decimal "cc_qte_kg_used", precision: 14, scale: 2
    t.decimal "ac_price_ht_available", precision: 14, scale: 2
    t.decimal "ac_price_ht_used", precision: 14, scale: 2
    t.decimal "ac_price_u_ht", precision: 14, scale: 2
    t.decimal "ac_price_u_kg_ht", precision: 14, scale: 2
    t.decimal "ac_qte_kg", precision: 14, scale: 2
    t.decimal "ac_qte_kg_per_unit", precision: 14, scale: 2
    t.decimal "ac_qte_kg_available", precision: 14, scale: 2
    t.decimal "ac_qte_kg_used", precision: 14, scale: 2
    t.date "dluo"
    t.bigint "partition_line_id"
    t.index ["p_product_ref_id"], name: "idx_54254_index_line_stocks_on_p_product_ref_id"
  end

  create_table "link_contents", force: :cascade do |t|
    t.bigint "type"
    t.string "name", limit: 255
    t.string "title", limit: 255
    t.boolean "popup", default: false
    t.string "url", limit: 255
    t.string "style", limit: 255
    t.bigint "cible_id"
    t.string "cible_type", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["cible_id"], name: "idx_54297_index_link_contents_on_cible_id"
  end

  create_table "mail_contents", force: :cascade do |t|
    t.bigint "lang_site_id"
    t.bigint "mail_type_id"
    t.string "subject", limit: 255
    t.text "message"
    t.boolean "enabled", default: false
    t.string "content_type", limit: 255
    t.text "tags"
    t.bigint "mail_template_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["lang_site_id"], name: "idx_54312_index_mail_contents_on_lang_site_id"
    t.index ["mail_template_id"], name: "idx_54312_index_mail_contents_on_mail_template_id"
    t.index ["mail_type_id"], name: "idx_54312_index_mail_contents_on_mail_type_id"
  end

  create_table "mail_hists", force: :cascade do |t|
    t.bigint "lang_site_id"
    t.string "from_email", limit: 255
    t.string "to_email", limit: 255
    t.string "subject", limit: 255
    t.text "body"
    t.string "subject_send", limit: 255
    t.text "body_send"
    t.bigint "mail_content_id"
    t.bigint "mail_type_id"
    t.string "element_type", limit: 255
    t.bigint "element_id"
    t.bigint "w_biker_id"
    t.boolean "mj_read"
    t.string "mj_token", limit: 255
    t.bigint "nbr_send"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "v_bda_id"
    t.bigint "v_contact_id"
    t.bigint "societe_id"
    t.index ["lang_site_id"], name: "idx_54324_index_mail_hists_on_lang_site_id"
    t.index ["mail_content_id"], name: "idx_54324_index_mail_hists_on_mail_content_id"
    t.index ["mail_type_id"], name: "idx_54324_index_mail_hists_on_mail_type_id"
  end

  create_table "mail_profiles", force: :cascade do |t|
    t.string "civilite", limit: 255
    t.string "firstname", limit: 255
    t.string "name", limit: 255
    t.string "address", limit: 255
    t.string "address2", limit: 255
    t.string "cp", limit: 255
    t.string "city", limit: 255
    t.string "country", limit: 255
    t.string "email", limit: 255
    t.string "phone", limit: 255
    t.string "token", limit: 255
    t.string "provider", limit: 255
    t.string "uid", limit: 255
    t.string "facebook_token", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "mail_templates", force: :cascade do |t|
    t.string "title", limit: 255
    t.text "template_html"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "mail_types", force: :cascade do |t|
    t.string "slug", limit: 255
    t.string "default_title", limit: 255
    t.text "default_message"
    t.bigint "mail_type_reference_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["mail_type_reference_id"], name: "idx_54372_index_mail_types_on_mail_type_reference_id"
  end

  create_table "map_contents", force: :cascade do |t|
    t.string "address", limit: 255
    t.string "name", limit: 255
    t.bigint "view"
    t.boolean "info_bule", default: false
    t.bigint "zoom"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "market_discounts", force: :cascade do |t|
    t.decimal "min", precision: 10
    t.decimal "max", precision: 10
    t.decimal "percent", precision: 10
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "p_customer_cat_id", default: 1
  end

  create_table "menu_aliases", force: :cascade do |t|
    t.bigint "menu_item_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["menu_item_id"], name: "idx_54417_index_menu_aliases_on_menu_item_id"
  end

  create_table "menu_item_articles", force: :cascade do |t|
    t.bigint "menu_item_id"
    t.bigint "article_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["article_id"], name: "idx_54449_index_menu_item_articles_on_article_id"
    t.index ["menu_item_id"], name: "idx_54449_index_menu_item_articles_on_menu_item_id"
  end

  create_table "menu_item_categories", force: :cascade do |t|
    t.bigint "menu_item_id"
    t.bigint "category_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["category_id"], name: "idx_54455_index_menu_item_categories_on_category_id"
    t.index ["menu_item_id"], name: "idx_54455_index_menu_item_categories_on_menu_item_id"
  end

  create_table "menu_item_langs", force: :cascade do |t|
    t.bigint "lang_site_id"
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.string "permalink", limit: 255
    t.boolean "enabled", default: false
    t.boolean "visible", default: false
    t.bigint "menu_item_id"
    t.bigint "image_file_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["image_file_id"], name: "idx_54461_index_menu_item_langs_on_image_file_id"
    t.index ["lang_site_id"], name: "idx_54461_index_menu_item_langs_on_lang_site_id"
    t.index ["menu_item_id"], name: "idx_54461_index_menu_item_langs_on_menu_item_id"
  end

  create_table "menu_item_link_contents", force: :cascade do |t|
    t.bigint "menu_item_id"
    t.bigint "image_file_id"
    t.string "title", limit: 255
    t.text "description"
    t.string "url", limit: 255
    t.boolean "popup", default: false
    t.string "style", limit: 255
    t.string "block_type", limit: 255
    t.bigint "cible_id"
    t.string "cible_type", limit: 255
    t.decimal "proportion", precision: 14, scale: 2
    t.bigint "level"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["cible_id"], name: "idx_54475_index_menu_item_link_contents_on_cible_id"
    t.index ["image_file_id"], name: "idx_54475_index_menu_item_link_contents_on_image_file_id"
    t.index ["menu_item_id"], name: "idx_54475_index_menu_item_link_contents_on_menu_item_id"
  end

  create_table "menu_item_slug_histories", force: :cascade do |t|
    t.string "permalink", limit: 255
    t.string "locale", limit: 255
    t.bigint "menu_item_id"
    t.bigint "menu_item_lang_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["menu_item_lang_id"], name: "idx_54491_index_menu_item_slug_histories_on_menu_item_lang_id"
  end

  create_table "menu_item_tags", force: :cascade do |t|
    t.bigint "menu_item_id"
    t.bigint "tag_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["menu_item_id"], name: "idx_54502_index_menu_item_tags_on_menu_item_id"
    t.index ["tag_id"], name: "idx_54502_index_menu_item_tags_on_tag_id"
  end

  create_table "menu_items", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.string "permalink", limit: 255
    t.bigint "image_file_id"
    t.string "section_name", limit: 255
    t.bigint "section_id"
    t.string "repertoire_name", limit: 255
    t.bigint "repertoire_id"
    t.bigint "parent_id"
    t.bigint "position"
    t.boolean "super_admin", default: false
    t.boolean "enabled", default: false
    t.boolean "visible", default: false
    t.boolean "deleted", default: false
    t.bigint "menu_id"
    t.bigint "menu_content_id"
    t.string "menu_content_type", limit: 255
    t.bigint "archive_id"
    t.boolean "archived", default: false
    t.datetime "archived_at"
    t.boolean "password", default: false
    t.boolean "comment", default: false
    t.boolean "sidebar", default: false
    t.boolean "title_image", default: false
    t.string "title_image_style", limit: 255
    t.boolean "title_cached", default: false
    t.bigint "icon_image_file_id"
    t.bigint "icon_b_image_file_id"
    t.text "primary_description"
    t.bigint "icon_v_image_file_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["icon_b_image_file_id"], name: "idx_54423_index_menu_items_on_icon_b_image_file_id"
    t.index ["icon_image_file_id"], name: "idx_54423_index_menu_items_on_icon_image_file_id"
    t.index ["icon_v_image_file_id"], name: "idx_54423_index_menu_items_on_icon_v_image_file_id"
    t.index ["image_file_id"], name: "idx_54423_index_menu_items_on_image_file_id"
    t.index ["menu_content_id"], name: "idx_54423_index_menu_items_on_menu_content_id"
    t.index ["menu_id"], name: "idx_54423_index_menu_items_on_menu_id"
    t.index ["parent_id"], name: "idx_54423_index_menu_items_on_parent_id"
  end

  create_table "menu_urls", force: :cascade do |t|
    t.string "url", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "menus", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "max_levels", limit: 255
    t.string "slug", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "open_range_elements", force: :cascade do |t|
    t.bigint "open_range_id"
    t.string "element_type", limit: 255
    t.bigint "element_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "open_ranges", force: :cascade do |t|
    t.string "name", limit: 255
    t.bigint "position"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "order_hist_lines", force: :cascade do |t|
    t.string "past_code_client", limit: 255
    t.string "numero_piece", limit: 255
    t.string "numerofacture", limit: 255
    t.string "d_number", limit: 255
    t.bigint "position"
    t.string "code_article", limit: 255
    t.bigint "p_product_ref_id"
    t.decimal "qte", precision: 14, scale: 2
    t.decimal "prix_u", precision: 14, scale: 2
    t.decimal "prix_achat", precision: 14, scale: 2
    t.decimal "taux_tva", precision: 14, scale: 2
    t.decimal "remise_1", precision: 14, scale: 2
    t.decimal "remise_2", precision: 14, scale: 2
    t.datetime "date_creation"
    t.datetime "date_modification"
    t.string "compte_vente", limit: 255
    t.date "date_piece"
    t.date "date_facture"
    t.decimal "colisage", precision: 14, scale: 2
    t.decimal "nbr_colis", precision: 14, scale: 2
    t.decimal "taux_com_1", precision: 14, scale: 2
    t.decimal "colisage_achat", precision: 14, scale: 2
    t.decimal "prix_achat_brut", precision: 14, scale: 2
    t.decimal "quantite_origine", precision: 14, scale: 2
    t.decimal "pu_tarif_origine", precision: 14, scale: 2
    t.decimal "taux_tva_article_2", precision: 14, scale: 2
    t.string "compte_ventil_vente", limit: 255
    t.bigint "num_ligne_avancement"
    t.bigint "etat"
    t.string "reference_1", limit: 255
    t.string "reference_2", limit: 255
    t.string "reference_3", limit: 255
    t.string "reference_4", limit: 255
    t.string "code_mode_reglement", limit: 255
    t.bigint "p_payment_type_id"
    t.bigint "echeance_nbr_jour"
    t.date "date_echeance"
    t.string "code_commercial", limit: 255
    t.bigint "p_commercial_id"
    t.decimal "taux_escompte", precision: 14, scale: 2
    t.decimal "taux_remise", precision: 14, scale: 2
    t.string "fichier_archive", limit: 255
    t.string "interlocuteur", limit: 255
    t.string "new_code_client", limit: 255
    t.bigint "p_customer_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.decimal "cc_montant_ht", precision: 14, scale: 2
    t.decimal "cc_montant_ht_remise", precision: 14, scale: 2
    t.decimal "cc_montant_ht_com", precision: 14, scale: 2
    t.decimal "cc_cout_achat_ht", precision: 14, scale: 2
    t.decimal "cc_marge_brut_hors_remise", precision: 14, scale: 2
    t.decimal "cc_marge_brut_remise", precision: 14, scale: 2
    t.decimal "cc_marge_net", precision: 14, scale: 2
    t.decimal "cc_marge_brut_hors_remise_pa", precision: 14, scale: 2
    t.decimal "cc_marge_brut_remise_pa", precision: 14, scale: 2
    t.decimal "cc_marge_net_ht_pa", precision: 14, scale: 2
    t.decimal "ac_montant_ht", precision: 14, scale: 2
    t.decimal "ac_montant_ht_remise", precision: 14, scale: 2
    t.decimal "ac_montant_ht_com", precision: 14, scale: 2
    t.decimal "ac_cout_achat_ht", precision: 14, scale: 2
    t.decimal "ac_marge_brut_hors_remise", precision: 14, scale: 2
    t.decimal "ac_marge_brut_remise", precision: 14, scale: 2
    t.decimal "ac_marge_net", precision: 14, scale: 2
    t.decimal "ac_marge_brut_hors_remise_pa", precision: 14, scale: 2
    t.decimal "ac_marge_brut_remise_pa", precision: 14, scale: 2
    t.decimal "ac_marge_net_ht_pa", precision: 14, scale: 2
    t.bigint "order_hist_id"
    t.decimal "montant_ht", precision: 14, scale: 3
    t.decimal "montant_ht_remise", precision: 14, scale: 3
    t.index ["order_hist_id"], name: "idx_54552_index_order_hist_lines_on_order_hist_id"
    t.index ["p_commercial_id"], name: "idx_54552_index_order_hist_lines_on_p_commercial_id"
    t.index ["p_customer_id"], name: "idx_54552_index_order_hist_lines_on_p_customer_id"
    t.index ["p_payment_type_id"], name: "idx_54552_index_order_hist_lines_on_p_payment_type_id"
    t.index ["p_product_ref_id"], name: "idx_54552_index_order_hist_lines_on_p_product_ref_id"
  end

  create_table "order_hists", force: :cascade do |t|
    t.string "past_code_client", limit: 255
    t.string "numero_piece", limit: 255
    t.string "numerofacture", limit: 255
    t.string "d_number", limit: 255
    t.date "date_creation"
    t.date "date_modification"
    t.date "date_piece"
    t.date "date_facture"
    t.bigint "p_payment_type_id"
    t.bigint "p_commercial_id"
    t.bigint "p_customer_id"
    t.decimal "montant_ht", precision: 14, scale: 2
    t.decimal "montant_ht_remise", precision: 14, scale: 2
    t.decimal "montant_ht_com", precision: 14, scale: 2
    t.decimal "cout_achat_ht", precision: 14, scale: 2
    t.decimal "marge_brut_hors_remise", precision: 14, scale: 2
    t.decimal "marge_brut_remise", precision: 14, scale: 2
    t.decimal "marge_net", precision: 14, scale: 2
    t.decimal "marge_brut_hors_remise_pa", precision: 14, scale: 2
    t.decimal "marge_brut_remise_pa", precision: 14, scale: 2
    t.decimal "marge_net_ht_pa", precision: 14, scale: 2
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_aromes", force: :cascade do |t|
    t.string "name", limit: 255
    t.boolean "public", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_article_serial_nums", force: :cascade do |t|
    t.bigint "p_article_id"
    t.bigint "p_serial_num_type_id"
    t.bigint "p_serial_num_value_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "value", limit: 255
    t.index ["p_article_id"], name: "idx_54961_index_p_article_serial_nums_on_p_article_id"
    t.index ["p_serial_num_type_id"], name: "idx_54961_index_p_article_serial_nums_on_p_serial_num_type_id"
    t.index ["p_serial_num_value_id"], name: "idx_54961_index_p_article_serial_nums_on_p_serial_num_value_id"
  end

  create_table "p_articles", force: :cascade do |t|
    t.bigint "p_product_ref_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "p_grade_id"
    t.index ["p_grade_id"], name: "idx_54955_index_p_articles_on_p_grade_id"
    t.index ["p_product_ref_id"], name: "idx_54955_index_p_articles_on_p_product_ref_id"
  end

  create_table "p_bank_accounts", force: :cascade do |t|
    t.bigint "p_bank_id"
    t.string "iban", limit: 255
    t.string "bic", limit: 255
    t.string "compta_cpt", limit: 255
    t.string "compta_journ", limit: 255
    t.string "compta_aux", limit: 255
    t.bigint "p_fournisseur_id"
    t.bigint "p_customer_id"
    t.boolean "owner", default: false
    t.bigint "data_file_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["data_file_id"], name: "idx_54979_index_p_bank_accounts_on_data_file_id"
    t.index ["p_bank_id"], name: "idx_54979_index_p_bank_accounts_on_p_bank_id"
    t.index ["p_customer_id"], name: "idx_54979_index_p_bank_accounts_on_p_customer_id"
    t.index ["p_fournisseur_id"], name: "idx_54979_index_p_bank_accounts_on_p_fournisseur_id"
  end

  create_table "p_banks", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "bic", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_brut_products", force: :cascade do |t|
    t.string "name", limit: 255
    t.decimal "price", precision: 14, scale: 2
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_commercial_cats", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "description", limit: 255
    t.string "type", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_commercial_object_brands", force: :cascade do |t|
    t.bigint "p_commercial_id"
    t.bigint "p_commercial_objective_id"
    t.bigint "s_brand_id"
    t.decimal "objective_percent", precision: 10
    t.decimal "weight_objective", precision: 10
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "commercial_show", default: true
    t.index ["p_commercial_id"], name: "idx_55049_index_p_commercial_object_brands_on_p_commercial_id"
    t.index ["p_commercial_objective_id"], name: "idx_55049_index_p_commercial_object_brands_on_p_commercial_obje"
    t.index ["s_brand_id"], name: "idx_55049_index_p_commercial_object_brands_on_s_brand_id"
  end

  create_table "p_commercial_object_cats", force: :cascade do |t|
    t.bigint "p_commercial_id"
    t.bigint "p_product_cats_id"
    t.decimal "objective_percent", precision: 10
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "p_commercial_objective_id"
    t.decimal "weight_objective", precision: 10
    t.index ["p_commercial_id"], name: "idx_55058_index_p_commercial_object_cats_on_p_commercial_id"
    t.index ["p_commercial_objective_id"], name: "idx_55058_index_p_commercial_object_cats_on_p_commercial_object"
    t.index ["p_product_cats_id"], name: "idx_55058_index_p_commercial_object_cats_on_p_product_cats_id"
  end

  create_table "p_commercial_object_months", force: :cascade do |t|
    t.bigint "p_commercial_id"
    t.date "start_at"
    t.date "end_at"
    t.decimal "objective_percent", precision: 10
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "p_commercial_objective_id"
    t.decimal "weight_objective", precision: 10
    t.index ["p_commercial_id"], name: "idx_55066_index_p_commercial_object_months_on_p_commercial_id"
    t.index ["p_commercial_objective_id"], name: "idx_55066_index_p_commercial_object_months_on_p_commercial_obje"
  end

  create_table "p_commercial_objectives", force: :cascade do |t|
    t.bigint "p_commercial_id"
    t.bigint "total_ca"
    t.date "start_at"
    t.date "end_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.decimal "total_weight", precision: 10
    t.index ["p_commercial_id"], name: "idx_55042_index_p_commercial_objectives_on_p_commercial_id"
  end

  create_table "p_commercials", force: :cascade do |t|
    t.boolean "enabled", default: true
    t.string "code", limit: 255
    t.string "organisation", limit: 255
    t.string "civilite", limit: 255
    t.string "name", limit: 255
    t.string "firstname", limit: 255
    t.string "address_number", limit: 255
    t.string "address_1", limit: 255
    t.string "address_2", limit: 255
    t.string "address_3", limit: 255
    t.string "cp", limit: 255
    t.string "city", limit: 255
    t.string "country", limit: 255
    t.string "phone", limit: 255
    t.string "email", limit: 255
    t.string "token", limit: 255
    t.bigint "p_commercial_cat_id"
    t.string "ac_display_name", limit: 255
    t.string "cc_display_name", limit: 255
    t.date "start_at"
    t.date "stop_at"
    t.text "secteur"
    t.boolean "avenant"
    t.date "birth"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.decimal "objectif_ht", precision: 14, scale: 2
  end

  create_table "p_compta_elements", force: :cascade do |t|
    t.string "element_type", limit: 255
    t.bigint "element_id"
    t.bigint "p_customer_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.date "cc_element_date"
    t.date "ac_element_date"
    t.boolean "cc_solde"
    t.boolean "ac_solde"
    t.decimal "ac_amount", precision: 14, scale: 2
    t.decimal "cc_amount", precision: 14, scale: 2
    t.index ["element_id"], name: "idx_55074_index_p_compta_elements_on_element_id"
    t.index ["p_customer_id"], name: "idx_55074_index_p_compta_elements_on_p_customer_id"
  end

  create_table "p_compta_exports", force: :cascade do |t|
    t.date "start_at"
    t.date "end_at"
    t.text "comment"
    t.boolean "validated", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_contact_contact_types", force: :cascade do |t|
    t.bigint "p_contact_id"
    t.bigint "p_contact_type_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_contact_id"], name: "idx_55108_index_p_contact_contact_types_on_p_contact_id"
    t.index ["p_contact_type_id"], name: "idx_55108_index_p_contact_contact_types_on_p_contact_type_id"
  end

  create_table "p_contact_types", force: :cascade do |t|
    t.string "name", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_contacts", force: :cascade do |t|
    t.string "name", limit: 255
    t.text "comment"
    t.string "tel", limit: 255
    t.string "email", limit: 255
    t.boolean "bc", default: false
    t.boolean "boolean", default: false
    t.bigint "contactable_id"
    t.string "contactable_type", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "skype"
    t.index ["contactable_id"], name: "idx_55093_index_p_contacts_on_contactable_id"
  end

  create_table "p_customer_cats", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "code", limit: 255
    t.bigint "payment_days"
    t.decimal "encourt_max", precision: 14, scale: 2
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_customer_product_prices", force: :cascade do |t|
    t.decimal "price", precision: 14, scale: 2
    t.boolean "no_remise"
    t.bigint "p_customer_id"
    t.bigint "p_product_ref_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_customer_id"], name: "idx_55183_index_p_customer_product_prices_on_p_customer_id"
    t.index ["p_product_ref_id"], name: "idx_55183_index_p_customer_product_prices_on_p_product_ref_id"
  end

  create_table "p_customer_ribs", force: :cascade do |t|
    t.bigint "nbr_use"
    t.string "iban", limit: 255
    t.string "bic", limit: 255
    t.string "bank", limit: 255
    t.string "num_compte", limit: 255
    t.string "intitule", limit: 255
    t.string "address1", limit: 255
    t.string "cp", limit: 255
    t.string "city", limit: 255
    t.string "country", limit: 255
    t.string "rum", limit: 255
    t.boolean "import", default: false
    t.boolean "archived", default: false
    t.bigint "price_document_id"
    t.bigint "p_mandat_id"
    t.date "sign_date"
    t.boolean "pres_sepa", default: false
    t.bigint "p_customer_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_customer_id"], name: "idx_55190_index_p_customer_ribs_on_p_customer_id"
  end

  create_table "p_customer_sheets", force: :cascade do |t|
    t.string "state", limit: 255
    t.string "comments", limit: 255
    t.bigint "p_customer_id"
    t.bigint "p_commercial_id"
    t.bigint "particular_bill_id"
    t.bigint "particular_send_id"
    t.bigint "ref_particular_bill_id"
    t.bigint "ref_particular_send_id"
    t.bigint "ac_accounting_zone_id"
    t.bigint "cc_accounting_zone_id"
    t.string "ac_accounting_zone_name", limit: 255
    t.string "cc_accounting_zone_name", limit: 255
    t.decimal "ac_tot_amount_ht", precision: 14, scale: 2
    t.decimal "cc_tot_amount_ht", precision: 14, scale: 2
    t.decimal "ac_tot_amount_ttc", precision: 14, scale: 2
    t.decimal "cc_tot_amount_ttc", precision: 14, scale: 2
    t.decimal "ac_tot_amount_tva", precision: 14, scale: 2
    t.decimal "cc_tot_amount_tva", precision: 14, scale: 2
    t.string "token", limit: 255
    t.bigint "p_payment_type_id"
    t.boolean "ac_payment_comptant"
    t.boolean "cc_payment_comptant"
    t.bigint "ac_payment_delais"
    t.bigint "cc_payment_delais"
    t.boolean "ac_payment_month_end"
    t.boolean "cc_payment_month_end"
    t.date "ac_payment_end_at"
    t.date "cc_payment_end_at"
    t.bigint "ac_payment_days"
    t.bigint "cc_payment_days"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "archived"
    t.string "demande_type", limit: 255
    t.bigint "com_counter_index"
    t.string "cc_com_counter", limit: 255
    t.string "ac_com_counter", limit: 255
    t.decimal "ac_weight_tot", precision: 14, scale: 2
    t.decimal "cc_weight_tot", precision: 14, scale: 2
    t.bigint "admin_id"
    t.boolean "price_blocked", default: false
    t.datetime "customer_validation_at"
    t.boolean "web_order", default: false
    t.string "past_id", limit: 255
    t.index ["p_customer_id"], name: "idx_55212_index_p_customer_sheets_on_p_customer_id"
  end

  create_table "p_customer_sites", force: :cascade do |t|
    t.bigint "p_customer_id"
    t.string "name", limit: 255
    t.bigint "particular_id"
    t.string "comments", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_customer_id"], name: "idx_55240_index_p_customer_sites_on_p_customer_id"
    t.index ["particular_id"], name: "idx_55240_index_p_customer_sites_on_particular_id"
  end

  create_table "p_customers", force: :cascade do |t|
    t.decimal "encourt_max", precision: 14, scale: 2
    t.bigint "p_customer_cat_id"
    t.bigint "particular_id"
    t.string "name", limit: 255
    t.string "code", limit: 255
    t.boolean "fav", default: false
    t.boolean "facture_email", default: false
    t.boolean "risque", default: false
    t.bigint "admin_id"
    t.decimal "cache_ca", precision: 14, scale: 2
    t.decimal "cache_encours", precision: 14, scale: 2
    t.bigint "cache_moyenne_paiement"
    t.bigint "payment_days"
    t.bigint "parent_id"
    t.string "mlm_token", limit: 255
    t.string "parent_code", limit: 255
    t.boolean "parent_at_create", default: false
    t.boolean "imported", default: false
    t.boolean "facture_mail", default: false
    t.boolean "comptant", default: true
    t.boolean "acompte", default: false
    t.decimal "acompte_percent", precision: 14, scale: 2
    t.bigint "payment_delais"
    t.boolean "payment_fin_de_mois", default: false
    t.decimal "cache_encours_th", precision: 14, scale: 2
    t.decimal "cache_payments_th", precision: 14, scale: 2
    t.decimal "cache_payments", precision: 14, scale: 2
    t.decimal "cache_payments_tot", precision: 14, scale: 2
    t.bigint "p_payment_type_id"
    t.string "i_actif", limit: 255
    t.boolean "i_cat", default: false
    t.decimal "cache_ca_ttc", precision: 14, scale: 2
    t.bigint "p_commercial_id"
    t.bigint "accounting_zone_id"
    t.bigint "market_discount_id"
    t.string "siret", limit: 255
    t.string "tva_intra", limit: 255
    t.text "closed_day"
    t.boolean "discount_enrobage", default: false
    t.boolean "discount_comptant", default: false
    t.boolean "discount_ecole", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "enabled", default: true
    t.text "disabled_raison"
    t.string "siren", limit: 255
    t.datetime "import_created_at"
    t.string "website", limit: 255
    t.string "soumis_tva", limit: 255
    t.text "p_customer_sheet_note"
    t.string "past_code", limit: 255
    t.bigint "particular_bill_id"
    t.bigint "particular_send_id"
    t.string "email", limit: 255
    t.string "password_digest", limit: 255
    t.string "reset_password_token", limit: 255
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.bigint "sign_in_count"
    t.datetime "current_sign_at"
    t.datetime "last_sign_at"
    t.string "current_sign_in_ip", limit: 255
    t.string "last_sign_in_ip", limit: 255
    t.string "auth_token", limit: 255
    t.boolean "online_shop", default: false
    t.index ["market_discount_id"], name: "idx_55121_index_p_customers_on_market_discount_id"
    t.index ["p_customer_cat_id"], name: "idx_55121_index_p_customers_on_p_customer_cat_id"
    t.index ["particular_id"], name: "idx_55121_index_p_customers_on_particular_id"
  end

  create_table "p_devises", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "symbol", limit: 255
    t.decimal "rate", precision: 14, scale: 7
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_document_types", force: :cascade do |t|
    t.string "prefix", limit: 255
    t.string "label", limit: 255
    t.string "affix", limit: 255
    t.text "header"
    t.text "footer"
    t.bigint "image_file_id"
    t.bigint "data_file_id"
    t.string "class_type", limit: 255
    t.string "sub_type", limit: 255
    t.string "name", limit: 255
    t.boolean "enabled", default: false
    t.bigint "position"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["data_file_id"], name: "idx_55300_index_p_document_types_on_data_file_id"
  end

  create_table "p_documents", force: :cascade do |t|
    t.string "element_type", limit: 255
    t.bigint "element_id"
    t.bigint "p_document_type_id"
    t.bigint "particular_bill_id"
    t.bigint "particular_send_id"
    t.string "name", limit: 255
    t.string "d_number", limit: 255
    t.bigint "d_index"
    t.bigint "d_year"
    t.string "d_prefix", limit: 255
    t.string "label", limit: 255
    t.text "header"
    t.text "footer"
    t.bigint "image_file_id"
    t.bigint "data_file_id"
    t.string "token", limit: 255
    t.bigint "p_sheet_line_id"
    t.string "bl_type", limit: 255
    t.decimal "cache_total_ht", precision: 14, scale: 2
    t.decimal "cache_total_ttc", precision: 14, scale: 2
    t.decimal "cache_tva", precision: 14, scale: 2
    t.bigint "payment_days"
    t.datetime "cache_exp_date"
    t.bigint "p_customer_id"
    t.boolean "theo_paid", default: false
    t.datetime "theo_paid_at"
    t.boolean "paid", default: false
    t.datetime "paid_at"
    t.decimal "acompte_percent", precision: 14, scale: 2
    t.decimal "acompte_value", precision: 14, scale: 2
    t.boolean "imported", default: false
    t.decimal "cache_to_paid", precision: 14, scale: 2
    t.decimal "cache_to_th_paid", precision: 14, scale: 2
    t.decimal "cache_total_tva", precision: 14, scale: 2
    t.boolean "comptant", default: true
    t.boolean "acompte", default: false
    t.bigint "payment_delais"
    t.boolean "payment_fin_de_mois", default: false
    t.bigint "p_payment_type_id"
    t.bigint "p_ship_tour_truck_id"
    t.boolean "canceled", default: false
    t.boolean "i_archive", default: false
    t.string "cust_ref", limit: 255
    t.bigint "doc_ref_id"
    t.date "echeance_date"
    t.text "avoir_text"
    t.string "doc_ref_number", limit: 255
    t.boolean "i_ajust", default: false
    t.boolean "i_ajust_result", default: false
    t.bigint "p_commercial_id"
    t.bigint "p_compta_export_id"
    t.boolean "compta_locked", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["element_id"], name: "idx_55263_index_p_documents_on_element_id"
    t.index ["p_customer_id"], name: "idx_55263_index_p_documents_on_p_customer_id"
    t.index ["p_document_type_id"], name: "idx_55263_index_p_documents_on_p_document_type_id"
    t.index ["p_payment_type_id"], name: "idx_55263_index_p_documents_on_p_payment_type_id"
    t.index ["p_sheet_line_id"], name: "idx_55263_index_p_documents_on_p_sheet_line_id"
    t.index ["p_ship_tour_truck_id"], name: "idx_55263_index_p_documents_on_p_ship_tour_truck_id"
    t.index ["particular_bill_id"], name: "idx_55263_index_p_documents_on_particular_bill_id"
    t.index ["particular_send_id"], name: "idx_55263_index_p_documents_on_particular_send_id"
  end

  create_table "p_fournisseur_orders", force: :cascade do |t|
    t.string "ref", limit: 255
    t.decimal "amount", precision: 14, scale: 2
    t.datetime "enter_date"
    t.bigint "p_fournisseur_id"
    t.decimal "a_ok_total_ttc", precision: 14, scale: 2
    t.decimal "a_ok_total_ht", precision: 14, scale: 2
    t.decimal "a_ok_tva", precision: 14, scale: 2
    t.decimal "a_total_ttc", precision: 14, scale: 2
    t.decimal "a_total_ht", precision: 14, scale: 2
    t.decimal "a_tva", precision: 14, scale: 2
    t.bigint "p_compta_export_id"
    t.boolean "compta_locked", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_fournisseur_id"], name: "idx_55335_index_p_fournisseur_orders_on_p_fournisseur_id"
  end

  create_table "p_fournisseur_refs", force: :cascade do |t|
    t.string "ref"
    t.string "label"
    t.bigint "p_product_ref_id"
    t.bigint "p_fournisseur_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["p_fournisseur_id"], name: "index_p_fournisseur_refs_on_p_fournisseur_id"
    t.index ["p_product_ref_id"], name: "index_p_fournisseur_refs_on_p_product_ref_id"
  end

  create_table "p_fournisseurs", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "code", limit: 255
    t.string "address1", limit: 255
    t.string "address2", limit: 255
    t.string "cp", limit: 255
    t.string "city", limit: 255
    t.string "country", limit: 255
    t.string "email", limit: 255
    t.string "tel", limit: 255
    t.string "compta_account", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "payment_delais"
    t.string "tva_num"
    t.integer "p_payment_type_id"
    t.string "iban"
    t.string "bic"
  end

  create_table "p_grades", force: :cascade do |t|
    t.string "grade", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_nutris", force: :cascade do |t|
    t.string "name", limit: 255
    t.boolean "public", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_origines", force: :cascade do |t|
    t.string "name", limit: 255
    t.boolean "public", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_payment_documents", force: :cascade do |t|
    t.bigint "p_payment_id"
    t.bigint "p_document_id"
    t.decimal "amount", precision: 14, scale: 2
    t.boolean "paid", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "price_document_id"
    t.bigint "avoir_id"
    t.index ["p_document_id"], name: "idx_55402_index_p_payment_documents_on_p_document_id"
    t.index ["p_payment_id"], name: "idx_55402_index_p_payment_documents_on_p_payment_id"
  end

  create_table "p_payment_types", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "code", limit: 255
    t.boolean "enabled", default: false
    t.boolean "comptant", default: false
    t.bigint "signe"
    t.bigint "p_bank_account_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_bank_account_id"], name: "idx_55410_index_p_payment_types_on_p_bank_account_id"
  end

  create_table "p_payments", force: :cascade do |t|
    t.datetime "paid_at"
    t.datetime "theo_date"
    t.bigint "p_payment_type_id"
    t.decimal "amount", precision: 14, scale: 2
    t.string "number", limit: 255
    t.bigint "p_customer_id"
    t.boolean "paid", default: false
    t.boolean "canceled", default: false
    t.boolean "affected", default: false
    t.bigint "p_ship_tour_truck_sheet_line_id"
    t.bigint "p_sheet_line_id"
    t.boolean "imported", default: false
    t.string "label", limit: 255
    t.string "piece", limit: 255
    t.boolean "i_archive", default: false
    t.boolean "remise", default: false
    t.bigint "p_remise_id"
    t.boolean "i_ajust", default: false
    t.boolean "i_ajust_result", default: false
    t.date "received_at"
    t.date "past_paid_at"
    t.date "past_theo_date"
    t.boolean "past_diff", default: false
    t.bigint "p_bank_account_id"
    t.bigint "p_compta_export_id"
    t.boolean "compta_locked", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.decimal "cc_total_affected", precision: 14, scale: 2
    t.decimal "ac_total_affected", precision: 14, scale: 2
    t.decimal "cc_reste_to_affect", precision: 14, scale: 2
    t.decimal "ac_reste_to_affect", precision: 14, scale: 2
    t.boolean "cc_affected", default: false
    t.boolean "ac_affected", default: false
    t.bigint "price_document_id"
    t.index ["p_bank_account_id"], name: "idx_55373_index_p_payments_on_p_bank_account_id"
    t.index ["p_customer_id"], name: "idx_55373_index_p_payments_on_p_customer_id"
    t.index ["p_payment_type_id"], name: "idx_55373_index_p_payments_on_p_payment_type_id"
    t.index ["p_remise_id"], name: "idx_55373_index_p_payments_on_p_remise_id"
    t.index ["p_sheet_line_id"], name: "idx_55373_index_p_payments_on_p_sheet_line_id"
    t.index ["p_ship_tour_truck_sheet_line_id"], name: "idx_55373_index_p_payments_on_p_ship_tour_truck_sheet_line_id"
  end

  create_table "p_price_cats", force: :cascade do |t|
    t.string "name", limit: 255
    t.boolean "enabled", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_product_aromes", force: :cascade do |t|
    t.bigint "p_product_id"
    t.bigint "p_arome_id"
    t.decimal "qte", precision: 6, scale: 2
    t.bigint "position"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_arome_id"], name: "idx_55478_index_p_product_aromes_on_p_arome_id"
    t.index ["p_product_id"], name: "idx_55478_index_p_product_aromes_on_p_product_id"
  end

  create_table "p_product_assembleds", force: :cascade do |t|
    t.bigint "parent_product_ref_id"
    t.bigint "p_product_ref_id"
    t.decimal "qte", precision: 10
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_product_brut_products", force: :cascade do |t|
    t.bigint "p_brut_product_id"
    t.bigint "p_product_id"
    t.decimal "qte", precision: 14, scale: 2
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_brut_product_id"], name: "idx_55492_index_p_product_brut_products_on_p_brut_product_id"
    t.index ["p_product_id"], name: "idx_55492_index_p_product_brut_products_on_p_product_id"
  end

  create_table "p_product_brut_stocks", force: :cascade do |t|
    t.bigint "p_brut_product_id"
    t.bigint "p_fournisseur_order_id"
    t.bigint "p_tank_id"
    t.decimal "qte", precision: 14, scale: 2
    t.decimal "price", precision: 14, scale: 2
    t.datetime "ok_at"
    t.decimal "ok_qte", precision: 14, scale: 2
    t.decimal "ok_price", precision: 14, scale: 2
    t.decimal "ok_price_abs", precision: 14, scale: 2
    t.decimal "price_abs", precision: 14, scale: 2
    t.boolean "ok", default: false
    t.decimal "qte_restant", precision: 14, scale: 2, default: "0.0"
    t.boolean "lock", default: false
    t.string "stock_type", limit: 255
    t.boolean "externe", default: false
    t.boolean "comptabilised", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_brut_product_id"], name: "idx_55499_index_p_product_brut_stocks_on_p_brut_product_id"
    t.index ["p_fournisseur_order_id"], name: "idx_55499_index_p_product_brut_stocks_on_p_fournisseur_order_id"
    t.index ["p_tank_id"], name: "idx_55499_index_p_product_brut_stocks_on_p_tank_id"
  end

  create_table "p_product_cats", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "code", limit: 255
    t.string "purchase_account", limit: 255
    t.string "sale_account", limit: 255
    t.bigint "parent_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "stocked", default: true
    t.boolean "commercial_show", default: true
  end

  create_table "p_product_colors", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "color", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_product_feature_cats", force: :cascade do |t|
    t.string "name", limit: 255
    t.text "description"
    t.boolean "enabled"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_product_features", force: :cascade do |t|
    t.bigint "p_product_feature_cat_id"
    t.string "ac_name", limit: 255
    t.string "cc_name", limit: 255
    t.string "value", limit: 255
    t.bigint "p_product_ref_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_product_images", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "description", limit: 255
    t.bigint "p_product_id"
    t.bigint "p_product_ref_id"
    t.boolean "enabled", default: true
    t.bigint "position"
    t.bigint "image_file_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["image_file_id"], name: "idx_55565_index_p_product_images_on_image_file_id"
    t.index ["p_product_id"], name: "idx_55565_index_p_product_images_on_p_product_id"
    t.index ["p_product_ref_id"], name: "idx_55565_index_p_product_images_on_p_product_ref_id"
  end

  create_table "p_product_ingredients", force: :cascade do |t|
    t.bigint "p_product_id"
    t.bigint "ingredient_id"
    t.decimal "qte", precision: 6, scale: 2
    t.bigint "position"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_product_nutris", force: :cascade do |t|
    t.bigint "p_product_id"
    t.bigint "p_nutri_id"
    t.decimal "qte", precision: 6, scale: 2
    t.decimal "ar", precision: 6, scale: 2
    t.bigint "position"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_nutri_id"], name: "idx_55584_index_p_product_nutris_on_p_nutri_id"
    t.index ["p_product_id"], name: "idx_55584_index_p_product_nutris_on_p_product_id"
  end

  create_table "p_product_origines", force: :cascade do |t|
    t.bigint "p_product_id"
    t.bigint "p_origine_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_origine_id"], name: "idx_55592_index_p_product_origines_on_p_origine_id"
    t.index ["p_product_id"], name: "idx_55592_index_p_product_origines_on_p_product_id"
  end

  create_table "p_product_p_customer_cats", force: :cascade do |t|
    t.bigint "p_product_id"
    t.bigint "p_customer_cat_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_customer_cat_id"], name: "idx_55613_index_p_product_p_customer_cats_on_p_customer_cat_id"
    t.index ["p_product_id"], name: "idx_55613_index_p_product_p_customer_cats_on_p_product_id"
  end

  create_table "p_product_p_normes", force: :cascade do |t|
    t.bigint "p_product_id"
    t.bigint "p_product_spec_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_product_id"], name: "idx_55619_index_p_product_p_normes_on_p_product_id"
    t.index ["p_product_spec_id"], name: "idx_55619_index_p_product_p_normes_on_p_product_spec_id"
  end

  create_table "p_product_p_product_sub_cats", force: :cascade do |t|
    t.bigint "p_product_id"
    t.bigint "p_product_sub_cat_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_product_id"], name: "idx_55625_index_p_product_p_product_sub_cats_on_p_product_id"
    t.index ["p_product_sub_cat_id"], name: "idx_55625_index_p_product_p_product_sub_cats_on_p_product_sub_c"
  end

  create_table "p_product_powers", force: :cascade do |t|
    t.string "name", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_product_prices", force: :cascade do |t|
    t.boolean "enabled", default: true
    t.bigint "p_product_ref_id"
    t.bigint "p_price_cat_id"
    t.bigint "min"
    t.bigint "max"
    t.decimal "ct_price_ht", precision: 14, scale: 2
    t.bigint "past_p_product_price"
    t.datetime "remove_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_price_cat_id"], name: "idx_55605_index_p_product_prices_on_p_price_cat_id"
    t.index ["p_product_ref_id"], name: "idx_55605_index_p_product_prices_on_p_product_ref_id"
  end

  create_table "p_product_ref_price_histories", force: :cascade do |t|
    t.bigint "p_product_ref_id"
    t.decimal "price", precision: 14, scale: 2
    t.bigint "admin_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["admin_id"], name: "idx_55658_index_p_product_ref_price_histories_on_admin_id"
    t.index ["p_product_ref_id"], name: "idx_55658_index_p_product_ref_price_histories_on_p_product_ref_"
  end

  create_table "p_product_ref_specs", force: :cascade do |t|
    t.bigint "p_product_ref_id"
    t.bigint "p_spec_type_id"
    t.bigint "p_spec_value_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_product_ref_id"], name: "idx_55665_index_p_product_ref_specs_on_p_product_ref_id"
    t.index ["p_spec_type_id"], name: "idx_55665_index_p_product_ref_specs_on_p_spec_type_id"
    t.index ["p_spec_value_id"], name: "idx_55665_index_p_product_ref_specs_on_p_spec_value_id"
  end

  create_table "p_product_refs", force: :cascade do |t|
    t.string "ref", limit: 255
    t.bigint "p_product_id"
    t.decimal "ct_price_ht", precision: 14, scale: 2
    t.string "cc_name", limit: 255
    t.string "ac_name", limit: 255
    t.decimal "weight", precision: 14, scale: 2
    t.string "ct_sub_name", limit: 255
    t.bigint "cc_p_product_cat_id"
    t.bigint "ac_p_product_cat_id"
    t.string "uv", limit: 255
    t.string "capacite", limit: 255
    t.string "cc_sub_cat_names", limit: 255
    t.string "ac_sub_cat_names", limit: 255
    t.string "cc_cat_name", limit: 255
    t.string "ac_cat_name", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "no_remise", default: false
    t.boolean "assembled", default: false
    t.boolean "promo", default: false
    t.date "start_at"
    t.date "end_at"
    t.string "cc_code", limit: 255
    t.string "ac_code", limit: 255
    t.boolean "stocked", default: true
    t.text "description"
    t.bigint "p_product_color_id"
    t.decimal "ac_sorecop", precision: 10, scale: 2
    t.decimal "cc_sorecop", precision: 10, scale: 2
    t.decimal "ct_sorecop", precision: 10, scale: 2
    t.decimal "ac_deee", precision: 10, scale: 2
    t.decimal "cc_deee", precision: 10, scale: 2
    t.decimal "ct_deee", precision: 10, scale: 2
    t.string "ean"
    t.string "sorecop_comment"
    t.string "genecode"
    t.string "manufacturer_ref"
    t.string "used_state"
    t.string "i_code_hs"
    t.decimal "prepair_score", precision: 10, scale: 2
    t.string "part_delay"
    t.string "das_head"
    t.string "das_body"
    t.string "das_membre"
    t.integer "nb_pcs_colis"
    t.string "code_om"
    t.string "gbh_code_971"
    t.string "gbh_code_972"
    t.string "gbh_code_973"
    t.string "code_art"
    t.string "i_comment"
    t.string "i_pmp_hors_sorecop"
    t.string "i_target_hors_sorecop"
    t.integer "p_fournisseur_id"
  end

  create_table "p_product_specs", force: :cascade do |t|
    t.bigint "p_product_id"
    t.string "code", limit: 255
    t.text "description"
    t.boolean "un", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_product_id"], name: "idx_55671_index_p_product_specs_on_p_product_id"
  end

  create_table "p_product_sub_cats", force: :cascade do |t|
    t.bigint "parent_id"
    t.string "code", limit: 255
    t.string "name", limit: 255
    t.bigint "position"
    t.boolean "enabled"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "menu", default: false
  end

  create_table "p_product_utilisations", force: :cascade do |t|
    t.bigint "p_product_id"
    t.bigint "p_utilisation_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_product_id"], name: "idx_55694_index_p_product_utilisations_on_p_product_id"
    t.index ["p_utilisation_id"], name: "idx_55694_index_p_product_utilisations_on_p_utilisation_id"
  end

  create_table "p_product_zones", force: :cascade do |t|
    t.string "name", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_products", force: :cascade do |t|
    t.string "name", limit: 255
    t.decimal "ct_price_ht", precision: 14, scale: 2
    t.decimal "ct_purchase_price_ht", precision: 14, scale: 2
    t.bigint "p_product_cat_id"
    t.string "code", limit: 255
    t.string "sub_code", limit: 255
    t.string "conditionnement", limit: 255
    t.string "uv", limit: 255
    t.boolean "tgap", default: false
    t.boolean "fisc", default: false
    t.string "un", limit: 255
    t.decimal "capacite", precision: 14, scale: 2
    t.boolean "enabled", default: true
    t.bigint "s_brand_id"
    t.boolean "discount_enrobage", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "p_customer_id"
    t.boolean "imported", default: false
    t.text "note"
    t.bigint "a_code_tva"
    t.string "price_calc", limit: 255, default: "Kg"
    t.string "country", limit: 255
    t.string "sub_country", limit: 255
    t.string "domaine", limit: 255
    t.string "imp_sale_account", limit: 255
    t.text "description"
    t.bigint "image_file_id"
    t.decimal "fonte_min", precision: 6, scale: 2
    t.decimal "fonte_max", precision: 6, scale: 2
    t.decimal "cristal_min", precision: 6, scale: 2
    t.decimal "cristal_max", precision: 6, scale: 2
    t.decimal "travail_min", precision: 6, scale: 2
    t.decimal "travail_max", precision: 6, scale: 2
    t.bigint "intensite_cacao"
    t.string "country_fabrication", limit: 255
    t.decimal "viscosite", precision: 6, scale: 2
    t.text "utilisation_text"
    t.text "chapeau"
    t.boolean "grand_cru", default: false
    t.boolean "vegan", default: false
    t.boolean "public", default: false
    t.string "visco_text", limit: 255
    t.string "finesse_text", limit: 255
    t.decimal "viscosite_min", precision: 6, scale: 2
    t.decimal "viscosite_max", precision: 6, scale: 2
    t.decimal "finesse_min", precision: 6, scale: 2
    t.decimal "finesse_max", precision: 6, scale: 2
    t.boolean "conserve_proportion", default: false
    t.boolean "frontpage", default: true
    t.integer "sorecop_cat_id"
    t.index ["p_product_cat_id"], name: "idx_55431_index_p_products_on_p_product_cat_id"
    t.index ["s_brand_id"], name: "idx_55431_index_p_products_on_s_brand_id"
  end

  create_table "p_remises", force: :cascade do |t|
    t.date "date"
    t.boolean "validated", default: false
    t.bigint "p_payment_type_id"
    t.bigint "p_bank_account_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_bank_account_id"], name: "idx_55707_index_p_remises_on_p_bank_account_id"
    t.index ["p_payment_type_id"], name: "idx_55707_index_p_remises_on_p_payment_type_id"
  end

  create_table "p_serial_num_types", force: :cascade do |t|
    t.string "name", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_serial_num_values", force: :cascade do |t|
    t.string "value", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_sheet_line_stocks", force: :cascade do |t|
    t.bigint "p_sheet_line_id"
    t.bigint "p_brut_product_id"
    t.bigint "p_product_brut_stock_id"
    t.boolean "ok", default: false
    t.datetime "ok_at"
    t.decimal "qte", precision: 14, scale: 2
    t.decimal "qte_ok", precision: 14, scale: 2
    t.decimal "price", precision: 14, scale: 2
    t.decimal "price_ok", precision: 14, scale: 2
    t.boolean "lock", default: false
    t.boolean "decr", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_brut_product_id"], name: "idx_55764_index_p_sheet_line_stocks_on_p_brut_product_id"
    t.index ["p_product_brut_stock_id"], name: "idx_55764_index_p_sheet_line_stocks_on_p_product_brut_stock_id"
    t.index ["p_sheet_line_id"], name: "idx_55764_index_p_sheet_line_stocks_on_p_sheet_line_id"
  end

  create_table "p_sheet_lines", force: :cascade do |t|
    t.bigint "p_customer_sheet_id"
    t.bigint "p_product_id"
    t.bigint "p_tank_id"
    t.decimal "qte", precision: 14, scale: 2
    t.decimal "price", precision: 14, scale: 2
    t.datetime "ok_at"
    t.decimal "ok_qte", precision: 14, scale: 2
    t.decimal "ok_price", precision: 14, scale: 2
    t.decimal "ok_price_abs", precision: 14, scale: 2
    t.boolean "ok", default: false
    t.boolean "lock", default: false
    t.boolean "externe", default: false
    t.bigint "externe_stock_id"
    t.bigint "p_document_id"
    t.boolean "shiped", default: false
    t.boolean "bl", default: false
    t.boolean "ship", default: false
    t.bigint "p_ship_tour_truck_sheet_line_id"
    t.boolean "stock_done", default: false
    t.decimal "a_total_cost_ok", precision: 14, scale: 2
    t.string "ref", limit: 255
    t.decimal "price_tot", precision: 14, scale: 2
    t.decimal "price_tot_ttc", precision: 14, scale: 2
    t.decimal "ok_price_tot", precision: 14, scale: 2
    t.decimal "ok_price_tot_ttc", precision: 14, scale: 2
    t.boolean "imported", default: false
    t.string "piece", limit: 255
    t.boolean "arrondi", default: false
    t.boolean "decr", default: false
    t.string "custom_title", limit: 255
    t.text "custom_desc"
    t.boolean "no_stock", default: false
    t.boolean "custom", default: false
    t.string "element_label", limit: 255
    t.boolean "cancel", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_customer_sheet_id"], name: "idx_55728_index_p_sheet_lines_on_p_customer_sheet_id"
    t.index ["p_document_id"], name: "idx_55728_index_p_sheet_lines_on_p_document_id"
    t.index ["p_product_id"], name: "idx_55728_index_p_sheet_lines_on_p_product_id"
    t.index ["p_tank_id"], name: "idx_55728_index_p_sheet_lines_on_p_tank_id"
  end

  create_table "p_ship_bill_lines", force: :cascade do |t|
    t.bigint "p_ship_bill_id"
    t.string "name", limit: 255
    t.text "description"
    t.decimal "qte", precision: 14, scale: 2
    t.decimal "price", precision: 14, scale: 2
    t.decimal "a_ok_total", precision: 14, scale: 2
    t.boolean "paid", default: false
    t.date "paid_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_ship_bill_id"], name: "idx_55788_index_p_ship_bill_lines_on_p_ship_bill_id"
  end

  create_table "p_ship_bills", force: :cascade do |t|
    t.date "count_date"
    t.date "bill_at"
    t.string "ref", limit: 255
    t.bigint "p_fournisseur_id"
    t.text "comment"
    t.decimal "a_ok_total", precision: 14, scale: 2
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_fournisseur_id"], name: "idx_55777_index_p_ship_bills_on_p_fournisseur_id"
  end

  create_table "p_spec_types", force: :cascade do |t|
    t.string "name", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_spec_values", force: :cascade do |t|
    t.string "value", limit: 255
    t.string "unit", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "p_tank_stocks", force: :cascade do |t|
    t.datetime "ok_at"
    t.boolean "enabled", default: false
    t.bigint "p_brut_product_id"
    t.decimal "volume", precision: 14, scale: 2
    t.decimal "price", precision: 14, scale: 2
    t.bigint "p_tank_id"
    t.string "stock_type", limit: 255
    t.decimal "volume_abs", precision: 14, scale: 2
    t.decimal "volume_restant", precision: 14, scale: 2
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_brut_product_id"], name: "idx_55828_index_p_tank_stocks_on_p_brut_product_id"
    t.index ["p_tank_id"], name: "idx_55828_index_p_tank_stocks_on_p_tank_id"
  end

  create_table "p_tanks", force: :cascade do |t|
    t.string "name", limit: 255
    t.decimal "volume", precision: 14, scale: 2
    t.bigint "p_brut_product_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_brut_product_id"], name: "idx_55820_index_p_tanks_on_p_brut_product_id"
  end

  create_table "p_truck_spaces", force: :cascade do |t|
    t.string "name", limit: 255
    t.decimal "volume", precision: 14, scale: 2
    t.bigint "p_truck_id"
    t.bigint "default_p_tank_id"
    t.string "code", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["p_truck_id"], name: "idx_55840_index_p_truck_spaces_on_p_truck_id"
  end

  create_table "p_utilisations", force: :cascade do |t|
    t.string "name", limit: 255
    t.boolean "public", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "pages", force: :cascade do |t|
    t.text "title"
    t.text "description"
    t.text "keywords"
    t.bigint "lang_site_id"
    t.bigint "page_type_id", default: 1
    t.boolean "clikable", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "particulars", force: :cascade do |t|
    t.boolean "pro", default: false
    t.string "organisation", limit: 255
    t.string "name", limit: 255
    t.string "firstname", limit: 255
    t.string "address_1", limit: 255
    t.string "address_2", limit: 255
    t.string "address_3", limit: 255
    t.string "address_4", limit: 255
    t.string "address_5", limit: 255
    t.string "cp", limit: 255
    t.string "city", limit: 255
    t.string "country", limit: 255
    t.string "tel", limit: 255
    t.string "email", limit: 255
    t.string "tel2", limit: 255
    t.string "tel3", limit: 255
    t.string "fax", limit: 255
    t.string "owner_type", limit: 255
    t.bigint "owner_id"
    t.string "particular_type", limit: 255
    t.boolean "skip_validation", default: false
    t.string "civilite", limit: 255
    t.boolean "archived", default: false
    t.bigint "particular_ref_id"
    t.boolean "price_in_bl", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "com_name", limit: 255
    t.index ["owner_id"], name: "idx_54626_index_particulars_on_owner_id"
  end

  create_table "partition_lines", force: :cascade do |t|
    t.bigint "p_product_ref_from_id"
    t.bigint "p_product_ref_to_id"
    t.bigint "partition_id"
    t.bigint "qte_from"
    t.bigint "qte_to"
    t.text "description"
    t.boolean "stock_ok", default: false
    t.decimal "amount", precision: 15, scale: 2
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["partition_id"], name: "idx_54670_index_partition_lines_on_partition_id"
  end

  create_table "partitions", force: :cascade do |t|
    t.bigint "admin_id"
    t.date "date"
    t.text "description"
    t.boolean "stock_ok", default: false
    t.decimal "amount", precision: 15, scale: 2
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["admin_id"], name: "idx_54659_index_partitions_on_admin_id"
  end

  create_table "portlets", force: :cascade do |t|
    t.bigint "block_id"
    t.bigint "content_id"
    t.string "content_type", limit: 255
    t.bigint "position"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["block_id"], name: "idx_54681_index_portlets_on_block_id"
    t.index ["content_id"], name: "idx_54681_index_portlets_on_content_id"
  end

  create_table "price_document_types", force: :cascade do |t|
    t.string "prefix", limit: 255
    t.string "label", limit: 255
    t.string "affix", limit: 255
    t.text "header"
    t.text "footer"
    t.bigint "image_file_id"
    t.bigint "data_file_id"
    t.string "class_type", limit: 255
    t.string "sub_type", limit: 255
    t.boolean "enabled", default: true
    t.string "movement_type", limit: 255, default: "cred"
    t.boolean "accounting", default: false
    t.bigint "poisition"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "price_documents", force: :cascade do |t|
    t.boolean "archived"
    t.bigint "p_customer_id"
    t.bigint "p_commercial_id"
    t.string "movement_type", limit: 255
    t.boolean "accounting", default: false
    t.boolean "soldable", default: false
    t.datetime "date"
    t.bigint "ac_accounting_zone_id"
    t.bigint "cc_accounting_zone_id"
    t.string "ac_accounting_zone_name", limit: 255
    t.string "cc_accounting_zone_name", limit: 255
    t.decimal "ac_tot_amount_ht", precision: 14, scale: 2
    t.decimal "cc_tot_amount_ht", precision: 14, scale: 2
    t.decimal "ac_tot_amount_ttc", precision: 14, scale: 2
    t.decimal "cc_tot_amount_ttc", precision: 14, scale: 2
    t.decimal "ac_tot_amount_tva", precision: 14, scale: 2
    t.decimal "cc_tot_amount_tva", precision: 14, scale: 2
    t.string "d_number", limit: 255
    t.bigint "d_index"
    t.bigint "d_year"
    t.bigint "d_month"
    t.bigint "d_day"
    t.string "d_prefix", limit: 255
    t.boolean "solded", default: false
    t.boolean "imported", default: false
    t.string "ref_element_type", limit: 255
    t.bigint "ref_element_id"
    t.bigint "price_document_type_id"
    t.string "ac_label", limit: 255
    t.string "cc_label", limit: 255
    t.string "token", limit: 255
    t.text "ct_header"
    t.text "ac_header"
    t.text "cc_header"
    t.text "ct_footer"
    t.text "ac_footer"
    t.text "cc_footer"
    t.bigint "ac_payment_days"
    t.bigint "cc_payment_days"
    t.datetime "paid_at"
    t.bigint "ct_payment_delais"
    t.bigint "ac_payment_delais"
    t.bigint "cc_payment_delais"
    t.boolean "ct_payment_month_end"
    t.boolean "ac_payment_month_end"
    t.boolean "cc_payment_month_end"
    t.date "ac_payment_end_at"
    t.date "cc_payment_end_at"
    t.bigint "doc_ref_id"
    t.boolean "accounting_locked", default: false
    t.bigint "particular_bill_id"
    t.bigint "particular_send_id"
    t.bigint "ac_particular_bill_id"
    t.bigint "ac_particular_send_id"
    t.decimal "ac_to_paid_ht", precision: 14, scale: 2
    t.decimal "cc_to_paid_ht", precision: 14, scale: 2
    t.decimal "ac_to_paid_ttc", precision: 14, scale: 2
    t.decimal "cc_to_paid_ttc", precision: 14, scale: 2
    t.decimal "ac_to_paid_tva", precision: 14, scale: 2
    t.decimal "cc_to_paid_tva", precision: 14, scale: 2
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "cc_solded"
    t.boolean "ac_solded"
    t.bigint "p_payment_type_id"
    t.boolean "compta_export", default: false
    t.boolean "compta_locked", default: false
    t.bigint "p_compta_export_id"
    t.decimal "ac_weight_tot", precision: 14, scale: 2
    t.decimal "cc_weight_tot", precision: 14, scale: 2
    t.boolean "price_blocked", default: false
    t.bigint "bon_de_commande_id"
    t.bigint "bon_de_livraison_id"
    t.bigint "facture_id"
    t.boolean "reliquat"
    t.bigint "p_fournisseur_id"
    t.boolean "cost_ok", default: false
    t.boolean "stock_ok", default: false
    t.bigint "p_devise_id", default: 1
    t.decimal "cc_cost_ht", precision: 14, scale: 2
    t.decimal "cc_marge_ht", precision: 14, scale: 2
    t.decimal "ac_cost_ht", precision: 14, scale: 2
    t.decimal "ac_marge_ht", precision: 14, scale: 2
    t.boolean "cancelled", default: false
    t.datetime "cc_solded_at"
    t.bigint "cc_solded_nbr_days"
    t.datetime "ac_solded_at"
    t.bigint "ac_solded_nbr_days"
    t.bigint "order_hist_id"
    t.string "statut", limit: 255
    t.decimal "avancement", precision: 10, scale: 2
    t.boolean "ended", default: false
    t.text "list_designaton"
    t.date "end_date"
    t.text "dp_comment"
    t.date "eta_min"
    t.string "f_token", limit: 255
    t.text "acheteur_text"
    t.string "public_fournisseur_name", limit: 255
    t.integer "bon_de_commande_achat_id"
    t.integer "bon_de_reception_achat_id"
    t.integer "demande_de_prix_id"
    t.integer "avoir_achat_id"
    t.integer "facture_achat_id"
    t.index ["p_customer_id"], name: "idx_54688_index_price_documents_on_p_customer_id"
  end

  create_table "price_line_blocks", force: :cascade do |t|
    t.bigint "p_customer_id"
    t.bigint "p_commercial_id"
    t.bigint "ac_p_customer_cat_id"
    t.bigint "cc_p_customer_cat_id"
    t.bigint "particular_bill_id"
    t.bigint "particular_send_id"
    t.bigint "ref_particular_bill_id"
    t.bigint "ref_particular_send_id"
    t.boolean "archived"
    t.string "movement_type", limit: 255, default: "cred"
    t.boolean "accounting", default: false
    t.bigint "price_lineable_id"
    t.string "price_lineable_type", limit: 255
    t.date "ct_creation_date"
    t.date "cc_creation_date"
    t.date "ac_creation_date"
    t.date "wish_date"
    t.date "estimate_date"
    t.boolean "cc_remise_enrobage_ok"
    t.boolean "cc_remise_ecole_ok"
    t.boolean "ac_remise_enrobage_ok"
    t.boolean "ac_remise_ecole_ok"
    t.string "customer_ref", limit: 255
    t.bigint "ct_nbr_ship"
    t.bigint "ac_nbr_ship"
    t.bigint "cc_nbr_ship"
    t.bigint "ac_accounting_zone_id"
    t.bigint "cc_accounting_zone_id"
    t.string "ac_accounting_zone_name", limit: 255
    t.string "cc_accounting_zone_name", limit: 255
    t.decimal "ac_tot_lines_ht", precision: 14, scale: 2
    t.decimal "cc_tot_lines_ht", precision: 14, scale: 2
    t.decimal "ac_tot_lines_tva", precision: 14, scale: 2
    t.decimal "cc_tot_lines_tva", precision: 14, scale: 2
    t.decimal "ac_tot_lines_ttc", precision: 14, scale: 2
    t.decimal "cc_tot_lines_ttc", precision: 14, scale: 2
    t.decimal "ct_tot_discount_percent", precision: 5, scale: 2
    t.decimal "ct_tot_discount_value", precision: 14, scale: 2
    t.decimal "ac_tot_discount_ht", precision: 14, scale: 2
    t.decimal "cc_tot_discount_ht", precision: 14, scale: 2
    t.decimal "ac_tot_discount_tva", precision: 14, scale: 2
    t.decimal "cc_tot_discount_tva", precision: 14, scale: 2
    t.decimal "ac_tot_discount_ttc", precision: 14, scale: 2
    t.decimal "cc_tot_discount_ttc", precision: 14, scale: 2
    t.decimal "ac_fdp_tva_rate", precision: 14, scale: 2
    t.decimal "cc_fdp_tva_rate", precision: 14, scale: 2
    t.decimal "ct_tot_fdp_ht", precision: 14, scale: 2
    t.decimal "ac_tot_fdp_ht", precision: 14, scale: 2
    t.decimal "cc_tot_fdp_ht", precision: 14, scale: 2
    t.decimal "ac_tot_fdp_tva", precision: 14, scale: 2
    t.decimal "cc_tot_fdp_tva", precision: 14, scale: 2
    t.decimal "ac_tot_fdp_ttc", precision: 14, scale: 2
    t.decimal "cc_tot_fdp_ttc", precision: 14, scale: 2
    t.decimal "ac_tot_amount_af_discount_ht", precision: 14, scale: 2
    t.decimal "cc_tot_amount_af_discount_ht", precision: 14, scale: 2
    t.decimal "ac_tot_amount_af_discount_tva", precision: 14, scale: 2
    t.decimal "cc_tot_amount_af_discount_tva", precision: 14, scale: 2
    t.decimal "ac_tot_amount_af_discount_ttc", precision: 14, scale: 2
    t.decimal "cc_tot_amount_af_discount_ttc", precision: 14, scale: 2
    t.decimal "ct_gen_discount_percent", precision: 5, scale: 2
    t.decimal "ct_gen_discount_value", precision: 14, scale: 2
    t.decimal "ac_gen_discount_percent", precision: 5, scale: 2
    t.decimal "cc_gen_discount_percent", precision: 14, scale: 2
    t.decimal "ac_tot_gen_discount_ht", precision: 14, scale: 2
    t.decimal "cc_tot_gen_discount_ht", precision: 14, scale: 2
    t.decimal "ac_tot_gen_discount_tva", precision: 14, scale: 2
    t.decimal "cc_tot_gen_discount_tva", precision: 14, scale: 2
    t.decimal "ac_tot_gen_discount_ttc", precision: 14, scale: 2
    t.decimal "cc_tot_gen_discount_ttc", precision: 14, scale: 2
    t.decimal "ac_tot_amount_ht", precision: 14, scale: 2
    t.decimal "cc_tot_amount_ht", precision: 14, scale: 2
    t.decimal "ac_tot_amount_tva", precision: 14, scale: 2
    t.decimal "cc_tot_amount_tva", precision: 14, scale: 2
    t.decimal "ac_tot_amount_ttc", precision: 14, scale: 2
    t.decimal "cc_tot_amount_ttc", precision: 14, scale: 2
    t.decimal "ac_weight_tot", precision: 14, scale: 2
    t.decimal "cc_weight_tot", precision: 14, scale: 2
    t.bigint "p_payment_type_id"
    t.boolean "ct_payment_comptant"
    t.boolean "ac_payment_comptant"
    t.boolean "cc_payment_comptant"
    t.bigint "ct_payment_delais"
    t.bigint "ac_payment_delais"
    t.bigint "cc_payment_delais"
    t.boolean "ct_payment_month_end"
    t.boolean "ac_payment_month_end"
    t.boolean "cc_payment_month_end"
    t.date "ac_payment_end_at"
    t.date "cc_payment_end_at"
    t.boolean "ct_acompte"
    t.boolean "ac_acompte"
    t.boolean "cc_acompte"
    t.decimal "ct_acompte_percent", precision: 14, scale: 2
    t.decimal "ac_acompte_percent", precision: 14, scale: 2
    t.decimal "cc_acompte_percent", precision: 14, scale: 2
    t.bigint "ac_payment_days"
    t.bigint "cc_payment_days"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "bl_comment"
    t.text "f_comment"
    t.text "bc_comment"
    t.text "d_comment"
    t.text "a_comment"
    t.boolean "ac_remise_pre_order_ok"
    t.boolean "ac_remise_qte_ok"
    t.boolean "cc_remise_pre_order_ok"
    t.boolean "cc_remise_qte_ok"
    t.boolean "cc_discount_comptant"
    t.boolean "ac_discount_comptant"
    t.boolean "price_blocked", default: false
    t.string "ac_block_type", limit: 255
    t.string "cc_block_type", limit: 255
    t.decimal "cc_customer_market_discount_percent", precision: 14, scale: 2
    t.decimal "ac_customer_market_discount_percent", precision: 14, scale: 2
    t.bigint "ac_bon_de_commande_id"
    t.bigint "cc_bon_de_commande_id"
    t.bigint "ac_bon_de_livraison_id"
    t.bigint "cc_bon_de_livraison_id"
    t.bigint "ac_facture_id"
    t.bigint "cc_facture_id"
    t.boolean "ac_reliquat"
    t.boolean "cc_reliquat"
    t.decimal "bk_tot_fdp_ht", precision: 14, scale: 2
    t.decimal "reliquat_fdp_ht", precision: 14, scale: 2
    t.bigint "p_devise_id", default: 1
    t.decimal "cc_devise_rate", precision: 14, scale: 7, default: "1.0"
    t.decimal "ac_devise_rate", precision: 14, scale: 7
    t.bigint "local_amount_ttc"
    t.bigint "p_fournisseur_id"
    t.boolean "cost_ok", default: false
    t.boolean "stock_ok", default: false
    t.decimal "cc_cost_ht", precision: 14, scale: 2
    t.decimal "cc_marge_ht", precision: 14, scale: 2
    t.decimal "ac_cost_ht", precision: 14, scale: 2
    t.decimal "ac_marge_ht", precision: 14, scale: 2
    t.boolean "cancelled", default: false
    t.datetime "cc_solded_at"
    t.bigint "cc_solded_nbr_days"
    t.datetime "ac_solded_at"
    t.bigint "ac_solded_nbr_days"
    t.bigint "order_hist_id"
    t.boolean "imported", default: false
    t.date "validation_date"
    t.string "cc_state", limit: 255
    t.index ["p_customer_id"], name: "idx_54863_index_price_line_blocks_on_p_customer_id"
  end

  create_table "price_line_resp_selects", force: :cascade do |t|
    t.integer "price_line_demand_id"
    t.integer "price_line_resp_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "price_lines", force: :cascade do |t|
    t.boolean "archived"
    t.bigint "price_line_block_id"
    t.bigint "position"
    t.string "line_type", limit: 255
    t.bigint "ac_accounting_zone_id"
    t.bigint "cc_accounting_zone_id"
    t.string "ac_accounting_zone_name", limit: 255
    t.string "cc_accounting_zone_name", limit: 255
    t.bigint "ac_tva_account_id"
    t.bigint "cc_tva_account_id"
    t.decimal "ac_tva_account_value", precision: 5, scale: 2
    t.decimal "cc_tva_account_value", precision: 5, scale: 2
    t.bigint "p_product_id"
    t.bigint "p_product_variante_id"
    t.bigint "p_product_alt_id"
    t.bigint "p_product_alt_variante_id"
    t.bigint "p_product_ref_id"
    t.bigint "p_product_ref_variante_id"
    t.string "ct_ref", limit: 255
    t.string "ac_ref", limit: 255
    t.string "cc_ref", limit: 255
    t.string "ct_title", limit: 255
    t.string "ac_title", limit: 255
    t.string "cc_title", limit: 255
    t.boolean "ac_product_remise_enrobage_ok"
    t.boolean "cc_product_remise_enrobage_ok"
    t.string "ac_uv", limit: 255
    t.string "cc_uv", limit: 255
    t.text "ct_description"
    t.text "ac_description"
    t.text "cc_description"
    t.decimal "ct_u_price_ht", precision: 15, scale: 3
    t.decimal "ac_price_u_ht", precision: 15, scale: 3
    t.decimal "cc_price_u_ht", precision: 15, scale: 3
    t.decimal "ac_price_u_tva", precision: 15, scale: 3
    t.decimal "cc_price_u_tva", precision: 15, scale: 3
    t.decimal "ac_price_u_ttc", precision: 15, scale: 3
    t.decimal "cc_price_u_ttc", precision: 15, scale: 3
    t.decimal "qte", precision: 15, scale: 4
    t.decimal "ac_tot_line_ht", precision: 15, scale: 3
    t.decimal "cc_tot_line_ht", precision: 15, scale: 3
    t.decimal "ac_tot_line_tva", precision: 15, scale: 3
    t.decimal "cc_tot_line_tva", precision: 15, scale: 3
    t.decimal "ac_tot_line_ttc", precision: 15, scale: 3
    t.decimal "cc_tot_line_ttc", precision: 15, scale: 3
    t.decimal "ac_discount_market_percent", precision: 15, scale: 3
    t.decimal "cc_discount_market_percent", precision: 15, scale: 3
    t.decimal "ac_discount_market_ht", precision: 15, scale: 3
    t.decimal "cc_discount_market_ht", precision: 15, scale: 3
    t.decimal "ac_discount_qte_percent", precision: 15, scale: 3
    t.decimal "cc_discount_qte_percent", precision: 15, scale: 3
    t.decimal "ac_discount_qte_ht", precision: 15, scale: 3
    t.decimal "cc_discount_qte_ht", precision: 15, scale: 3
    t.decimal "ac_discount_delay_percent", precision: 15, scale: 3
    t.decimal "cc_discount_delay_percent", precision: 15, scale: 3
    t.decimal "ac_discount_delay_ht", precision: 15, scale: 3
    t.decimal "cc_discount_delay_ht", precision: 15, scale: 3
    t.decimal "ac_discount_enrobage_percent", precision: 15, scale: 3
    t.decimal "cc_discount_enrobage_percent", precision: 15, scale: 3
    t.decimal "ac_discount_enrobage_ht", precision: 15, scale: 3
    t.decimal "cc_discount_enrobage_ht", precision: 15, scale: 3
    t.decimal "ac_discount_ecole_percent", precision: 15, scale: 3
    t.decimal "cc_discount_ecole_percent", precision: 15, scale: 3
    t.decimal "ac_discount_ecole_ht", precision: 15, scale: 3
    t.decimal "cc_discount_ecole_ht", precision: 15, scale: 3
    t.decimal "ac_discount_comptant_percent", precision: 15, scale: 3
    t.decimal "cc_discount_comptant_percent", precision: 15, scale: 3
    t.decimal "ac_discount_comptant_ht", precision: 15, scale: 3
    t.decimal "cc_discount_comptant_ht", precision: 15, scale: 3
    t.decimal "ac_tot_discount_ht", precision: 15, scale: 3
    t.decimal "cc_tot_discount_ht", precision: 15, scale: 3
    t.decimal "ac_tot_discount_tva", precision: 15, scale: 3
    t.decimal "cc_tot_discount_tva", precision: 15, scale: 3
    t.decimal "ac_tot_discount_ttc", precision: 15, scale: 3
    t.decimal "cc_tot_discount_ttc", precision: 15, scale: 3
    t.decimal "ac_tot_amount_ht", precision: 15, scale: 3
    t.decimal "cc_tot_amount_ht", precision: 15, scale: 3
    t.decimal "ac_tot_amount_tva", precision: 15, scale: 3
    t.decimal "cc_tot_amount_tva", precision: 15, scale: 3
    t.decimal "ac_tot_amount_ttc", precision: 15, scale: 3
    t.decimal "cc_tot_amount_ttc", precision: 15, scale: 3
    t.bigint "p_cter_id"
    t.decimal "ct_weight_u", precision: 15, scale: 3
    t.decimal "ac_weight_u", precision: 15, scale: 3
    t.decimal "cc_weight_u", precision: 15, scale: 3
    t.decimal "ac_weight_tot", precision: 15, scale: 3
    t.decimal "cc_weight_tot", precision: 15, scale: 3
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "cc_p_product_specific_customer_id"
    t.bigint "ac_p_product_specific_customer_id"
    t.string "ac_price_calc", limit: 255
    t.string "cc_price_calc", limit: 255
    t.boolean "cc_product_no_remise", default: false
    t.boolean "ac_product_no_remise"
    t.bigint "ct_tva_account_id"
    t.decimal "bk_price_ht", precision: 14, scale: 4
    t.string "ac_block_type", limit: 255
    t.string "cc_block_type", limit: 255
    t.bigint "price_line_ref_id"
    t.bigint "cc_p_devise_id"
    t.bigint "ac_p_devise_id"
    t.decimal "cc_devise_rate", precision: 14, scale: 7, default: "1.0"
    t.decimal "ac_devise_rate", precision: 14, scale: 7
    t.decimal "cc_local_tot_amount_ht", precision: 15, scale: 3
    t.decimal "ac_local_tot_amount_ht", precision: 15, scale: 3
    t.decimal "cc_cost_ht", precision: 15, scale: 3
    t.decimal "cc_cost_u_ht", precision: 15, scale: 3
    t.decimal "cc_marge_ht", precision: 15, scale: 3
    t.decimal "cc_marge_u_ht", precision: 15, scale: 3
    t.decimal "ac_cost_ht", precision: 15, scale: 3
    t.decimal "ac_cost_u_ht", precision: 15, scale: 3
    t.decimal "ac_marge_ht", precision: 15, scale: 3
    t.decimal "ac_marge_u_ht", precision: 15, scale: 3
    t.decimal "ct_tot_amount_ht", precision: 16, scale: 4
    t.boolean "cancelled", default: false
    t.date "dluo"
    t.string "lot", limit: 255
    t.bigint "ac_p_product_cat_id"
    t.bigint "ac_p_customer_id"
    t.bigint "cc_p_product_cat_id"
    t.bigint "cc_p_customer_id"
    t.bigint "order_hist_id"
    t.boolean "imported", default: false
    t.decimal "ct_cost_ht", precision: 15, scale: 3
    t.text "comment"
    t.date "cc_validation_date"
    t.date "cc_creation_date"
    t.date "cc_wish_date"
    t.string "cc_state", limit: 255
    t.decimal "qte_available", precision: 10
    t.string "ref_fournisseur", limit: 255
    t.bigint "p_product_power_id"
    t.bigint "p_product_zone_id"
    t.boolean "ready_stock"
    t.string "ram", limit: 255
    t.string "ram_unit", limit: 255
    t.boolean "eu"
    t.boolean "fullkit"
    t.boolean "lang_start"
    t.bigint "selected_price_line_id"
  end

  create_table "quote_contents", force: :cascade do |t|
    t.text "quote"
    t.string "author", limit: 255
    t.string "color", limit: 255
    t.string "background", limit: 255
    t.string "style", limit: 255
    t.bigint "image_file_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["image_file_id"], name: "idx_55860_index_quote_contents_on_image_file_id"
  end

  create_table "s_brands", force: :cascade do |t|
    t.boolean "enabled", default: true
    t.string "code", limit: 255
    t.string "name", limit: 255
    t.text "description"
    t.string "url", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "s_compta_accounts", force: :cascade do |t|
    t.string "code", limit: 255
    t.string "name", limit: 255
    t.string "i_account", limit: 255
    t.string "i_sale_account", limit: 255
    t.string "i_account_ps", limit: 255
    t.string "zone", limit: 255
    t.string "purchase_account", limit: 255
    t.string "sale_account", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "s_module_configurations", force: :cascade do |t|
    t.string "name", limit: 255
    t.text "description"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "s_modules", force: :cascade do |t|
    t.bigint "serial_nbr"
    t.string "cache_long_serial_number", limit: 255
    t.bigint "s_modules_state_id"
    t.date "order_date"
    t.date "production_start_date"
    t.date "production_end_date"
    t.bigint "s_module_configuration_id"
    t.bigint "s_site_id"
    t.string "name", limit: 255
    t.text "description"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["s_module_configuration_id"], name: "idx_56073_index_s_modules_on_s_module_configuration_id"
    t.index ["s_modules_state_id"], name: "idx_56073_index_s_modules_on_s_modules_state_id"
    t.index ["s_site_id"], name: "idx_56073_index_s_modules_on_s_site_id"
  end

  create_table "s_modules_states", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "s_organisations", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "address1", limit: 255
    t.string "address2", limit: 255
    t.string "address3", limit: 255
    t.string "tel", limit: 255
    t.string "fax", limit: 255
    t.string "email", limit: 255
    t.string "website", limit: 255
    t.string "siret", limit: 255
    t.string "siren", limit: 255
    t.string "rcs", limit: 255
    t.string "ape", limit: 255
    t.string "capital", limit: 255
    t.string "forme", limit: 255
    t.text "description"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "s_site_types", force: :cascade do |t|
    t.string "name", limit: 255
    t.text "description"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "s_sites", force: :cascade do |t|
    t.string "name", limit: 255
    t.text "description"
    t.boolean "externe"
    t.bigint "s_site_type_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["s_site_type_id"], name: "idx_56128_index_s_sites_on_s_site_type_id"
  end

  create_table "share_contents", force: :cascade do |t|
    t.string "url", limit: 255
    t.string "facebook_url", limit: 255
    t.boolean "facebook", default: false
    t.string "twitter_url", limit: 255
    t.string "twitter_title", limit: 255
    t.boolean "twitter", default: false
    t.string "mail_subject", limit: 255
    t.string "mail_url", limit: 255
    t.text "mail_content"
    t.boolean "mail", default: false
    t.string "print_url", limit: 255
    t.boolean "print", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "societes", force: :cascade do |t|
    t.string "socmanaginn", limit: 255
    t.string "nom", limit: 255
    t.string "adresse1", limit: 255
    t.string "adresse2", limit: 255
    t.string "codepostal", limit: 255
    t.string "ville", limit: 255
    t.string "pays", limit: 255
    t.string "numtel", limit: 255
    t.string "numfax", limit: 255
    t.string "mobile", limit: 255
    t.string "mail", limit: 255
    t.string "mailcc", limit: 255
    t.string "mailbcc", limit: 255
    t.string "siteweb", limit: 255
    t.string "statut", limit: 255
    t.string "rc", limit: 255
    t.string "naf", limit: 255
    t.string "soc_type", limit: 255
    t.string "enseigne", limit: 255
    t.datetime "datecreation"
    t.string "activite1", limit: 255
    t.string "activite2", limit: 255
    t.string "activite3", limit: 255
    t.string "activite4", limit: 255
    t.string "activite5", limit: 255
    t.string "login", limit: 255
    t.string "password", limit: 255
    t.string "photo", limit: 255
    t.string "typeuser", limit: 255
    t.string "codeproprietaire", limit: 255
    t.string "typepartage", limit: 255
    t.string "libre1", limit: 255
    t.string "libre2", limit: 255
    t.string "libre3", limit: 255
    t.string "libre4", limit: 255
    t.string "libre5", limit: 255
    t.string "accesbloque", limit: 255
    t.string "corbeille", limit: 255
    t.string "codetpe", limit: 255
    t.string "codecreateur", limit: 255
    t.string "partagedefaut", limit: 255
    t.string "npai", limit: 255
    t.string "npaimail", limit: 255
    t.string "npaisms", limit: 255
    t.decimal "ac_rate", precision: 14, scale: 2
    t.decimal "cc_rate", precision: 14, scale: 2
    t.decimal "ac_cagnotte", precision: 14, scale: 2
    t.decimal "cc_cagnotte", precision: 14, scale: 2
    t.decimal "ac_cumul", precision: 14, scale: 2
    t.decimal "cc_cumul", precision: 14, scale: 2
    t.boolean "enabled", default: false
    t.date "last_volume_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "bon_type", limit: 255
    t.decimal "seuil", precision: 14, scale: 2
    t.decimal "remise_percent", precision: 14, scale: 2
    t.decimal "bon_amount", precision: 14, scale: 2
    t.string "send_via", limit: 255
    t.decimal "cc_total", precision: 14, scale: 2
    t.decimal "ac_total", precision: 14, scale: 2
    t.decimal "cc_remise", precision: 14, scale: 2
    t.decimal "ac_remise", precision: 14, scale: 2
  end

  create_table "sorecop_cats", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "sorecop_taxes", force: :cascade do |t|
    t.decimal "critere_min", precision: 14, scale: 3
    t.decimal "critere_max", precision: 14, scale: 3
    t.string "title"
    t.boolean "fixed_price", default: true
    t.decimal "price", precision: 10, scale: 2
    t.bigint "sorecop_cat_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["sorecop_cat_id"], name: "index_sorecop_taxes_on_sorecop_cat_id"
  end

  create_table "specific_preferences", force: :cascade do |t|
    t.string "key", limit: 255
    t.string "value", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "stat_lines", force: :cascade do |t|
    t.bigint "p_product_id"
    t.string "product_name", limit: 255
    t.string "product_code", limit: 255
    t.bigint "p_product_ref_id"
    t.string "p_product_ref_name", limit: 255
    t.decimal "tva_rate", precision: 10, scale: 2
    t.bigint "tva_account_id"
    t.string "title", limit: 255
    t.decimal "price_u_ht", precision: 15, scale: 3
    t.decimal "price_u_tva", precision: 15, scale: 3
    t.decimal "price_u_ttc", precision: 15, scale: 3
    t.decimal "qte", precision: 15, scale: 3
    t.decimal "tot_line_ht", precision: 15, scale: 3
    t.decimal "tot_line_tva", precision: 15, scale: 3
    t.decimal "tot_line_ttc", precision: 15, scale: 3
    t.decimal "tot_discount_ht", precision: 15, scale: 3
    t.decimal "tot_discount_tva", precision: 15, scale: 3
    t.decimal "tot_discount_ttc", precision: 15, scale: 3
    t.decimal "tot_amount_ht", precision: 15, scale: 3
    t.decimal "tot_amount_tva", precision: 15, scale: 3
    t.decimal "tot_amount_ttc", precision: 15, scale: 3
    t.decimal "weight_u", precision: 15, scale: 3
    t.decimal "weight_tot", precision: 15, scale: 3
    t.decimal "cost_ht", precision: 15, scale: 3
    t.decimal "cost_u_ht", precision: 15, scale: 3
    t.decimal "marge_ht", precision: 15, scale: 3
    t.decimal "marge_u_ht", precision: 15, scale: 3
    t.decimal "cost_u_w_ht", precision: 15, scale: 3
    t.decimal "marge_u_w_ht", precision: 15, scale: 3
    t.bigint "p_commercial_id"
    t.string "p_commercial_name", limit: 255
    t.string "p_commercial_code", limit: 255
    t.bigint "p_product_cat_id"
    t.string "p_product_cat_name", limit: 255
    t.bigint "p_customer_id"
    t.string "p_customer_name", limit: 255
    t.string "p_customer_code", limit: 255
    t.date "date"
    t.bigint "price_document_id"
    t.string "price_document_number", limit: 255
    t.bigint "price_line_block_id"
    t.bigint "price_line_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "s_brand_id"
    t.string "s_brand_name", limit: 255
    t.index ["p_commercial_id"], name: "idx_55975_index_stat_lines_on_p_commercial_id"
    t.index ["p_customer_id"], name: "idx_55975_index_stat_lines_on_p_customer_id"
    t.index ["p_product_cat_id"], name: "idx_55975_index_stat_lines_on_p_product_cat_id"
    t.index ["p_product_id"], name: "idx_55975_index_stat_lines_on_p_product_id"
    t.index ["p_product_ref_id"], name: "idx_55975_index_stat_lines_on_p_product_ref_id"
  end

  create_table "stock_movement_lines", force: :cascade do |t|
    t.bigint "stock_movement_id"
    t.decimal "ct_price_u_ht", precision: 14, scale: 2
    t.decimal "cc_price_u_ht", precision: 14, scale: 2
    t.decimal "ac_price_u_ht", precision: 14, scale: 2
    t.decimal "ct_tot_amount_ht", precision: 14, scale: 2
    t.decimal "cc_tot_amount_ht", precision: 14, scale: 2
    t.decimal "ac_tot_amount_ht", precision: 14, scale: 2
    t.decimal "qte", precision: 14, scale: 2
    t.bigint "p_product_ref_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.date "dluo"
    t.index ["stock_movement_id"], name: "idx_56030_index_stock_movement_lines_on_stock_movement_id"
  end

  create_table "stock_movements", force: :cascade do |t|
    t.string "movement_type", limit: 255, default: "deb"
    t.text "description"
    t.bigint "admin_id"
    t.date "date"
    t.decimal "cc_tot_amount_ht", precision: 14, scale: 2
    t.decimal "ac_tot_amount_ht", precision: 14, scale: 2
    t.boolean "stock_done", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "table_contents", force: :cascade do |t|
    t.bigint "style"
    t.bigint "nbr_rows"
    t.bigint "nbr_cols"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "table_rows", force: :cascade do |t|
    t.bigint "position"
    t.bigint "style"
    t.bigint "table_content_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["table_content_id"], name: "idx_56154_index_table_rows_on_table_content_id"
  end

  create_table "tag_taggables", force: :cascade do |t|
    t.string "taggable_type", limit: 255
    t.bigint "taggable_id"
    t.bigint "tag_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["tag_id"], name: "idx_56173_index_tag_taggables_on_tag_id"
    t.index ["taggable_id"], name: "idx_56173_index_tag_taggables_on_taggable_id"
  end

  create_table "tags", force: :cascade do |t|
    t.string "name", limit: 255
    t.string "slug", limit: 255
    t.bigint "parent_id"
    t.boolean "public", default: false
    t.string "taggable_type", limit: 255
    t.bigint "taggable_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["taggable_id"], name: "idx_56160_index_tags_on_taggable_id"
  end

  create_table "text_contents", force: :cascade do |t|
    t.string "style", limit: 255
    t.text "content"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "timer_watchers", force: :cascade do |t|
    t.string "element_type", limit: 255
    t.bigint "element_id"
    t.string "key", limit: 255
    t.bigint "admin_id"
    t.bigint "p_customer_id"
    t.string "admin_space", limit: 255
    t.datetime "end_at"
    t.bigint "time_ok"
    t.boolean "write_action"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["admin_id"], name: "idx_56190_index_timer_watchers_on_admin_id"
    t.index ["p_customer_id"], name: "idx_56190_index_timer_watchers_on_p_customer_id"
  end

  create_table "tiny_urls", force: :cascade do |t|
    t.string "url", limit: 255
    t.string "slug", limit: 255
    t.text "description"
    t.datetime "start_at"
    t.datetime "stop_at"
    t.bigint "nbr_views"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "title_contents", force: :cascade do |t|
    t.text "content"
    t.bigint "level"
    t.string "style", limit: 255
    t.string "alignement", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "translations", force: :cascade do |t|
    t.string "locale", limit: 255
    t.string "key", limit: 255
    t.text "value"
    t.text "interpolations"
    t.boolean "is_proc", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "tva_rates", force: :cascade do |t|
    t.string "name", limit: 255
    t.text "description"
    t.bigint "accounting_zone_id"
    t.boolean "enabled", default: true
    t.decimal "rate", precision: 5, scale: 2
    t.string "purchase_account", limit: 255
    t.string "sale_account", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "sale_product_account", limit: 255
    t.index ["accounting_zone_id"], name: "idx_56243_index_tva_rates_on_accounting_zone_id"
  end

  create_table "tvable_tva_rates", force: :cascade do |t|
    t.bigint "tvable_id"
    t.string "tvable_type", limit: 255
    t.bigint "tva_rate_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "v_bdas", force: :cascade do |t|
    t.string "token", limit: 255
    t.date "date"
    t.decimal "amount", precision: 14, scale: 2
    t.decimal "seuil", precision: 14, scale: 2
    t.boolean "used", default: false
    t.date "end_at"
    t.bigint "volume_periodique_id"
    t.bigint "v_contact_id"
    t.bigint "societe_id"
    t.bigint "societe_use_id"
    t.text "comment"
    t.string "bda_type", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "send_via", limit: 255
    t.boolean "sended"
    t.string "email", limit: 255
    t.index ["volume_periodique_id"], name: "idx_56332_index_v_bdas_on_volume_periodique_id"
  end

  create_table "v_contacts", force: :cascade do |t|
    t.string "codemanaginn", limit: 255
    t.string "nomgroupe", limit: 255
    t.string "societe", limit: 255
    t.string "civilite", limit: 255
    t.string "nom", limit: 255
    t.string "prenom", limit: 255
    t.string "titre", limit: 255
    t.string "mailto", limit: 255
    t.string "mailcc", limit: 255
    t.string "mailbcc", limit: 255
    t.string "numportable", limit: 255
    t.string "numtel", limit: 255
    t.string "numfax", limit: 255
    t.string "adresse1", limit: 255
    t.string "adresse2", limit: 255
    t.string "codepostal", limit: 255
    t.string "ville", limit: 255
    t.string "anniversaire", limit: 255
    t.string "pays", limit: 255
    t.string "photo", limit: 255
    t.string "login", limit: 255
    t.string "password", limit: 255
    t.string "typeuser", limit: 255
    t.string "commentaire", limit: 255
    t.string "codeproprietaire", limit: 255
    t.string "typepartage", limit: 255
    t.string "libre1", limit: 255
    t.string "libre2", limit: 255
    t.string "libre3", limit: 255
    t.string "libre4", limit: 255
    t.string "libre5", limit: 255
    t.string "accesbloque", limit: 255
    t.string "corbeille", limit: 255
    t.string "codecreateur", limit: 255
    t.string "partagedefaut", limit: 255
    t.string "npai", limit: 255
    t.string "npaimail", limit: 255
    t.string "npaisms", limit: 255
    t.string "rate", limit: 255
    t.decimal "cumul", precision: 14, scale: 2
    t.decimal "cagnotte", precision: 14, scale: 2
    t.decimal "prime", precision: 14, scale: 2
    t.bigint "nbr_vidanges"
    t.bigint "vidanges_seuil"
    t.bigint "vidanges_offerte"
    t.date "datecreation"
    t.date "last_volume_at"
    t.decimal "ac_rate", precision: 14, scale: 2
    t.boolean "enabled", default: false
    t.bigint "nbr_mvt"
    t.string "cc_centre", limit: 255
    t.string "ac_centre", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.decimal "cc_cagnotte", precision: 14, scale: 2
    t.decimal "cc_total", precision: 14, scale: 2
    t.decimal "cc_remise", precision: 14, scale: 2
    t.decimal "ac_cagnotte", precision: 14, scale: 2
    t.decimal "ac_total", precision: 14, scale: 2
    t.decimal "ac_remise", precision: 14, scale: 2
    t.bigint "societe_id"
    t.string "a_codeproprietaire", limit: 255
  end

  create_table "video_contents", force: :cascade do |t|
    t.bigint "video_file_id"
    t.string "title", limit: 255
    t.boolean "download", default: false
    t.boolean "autoplay", default: false
    t.boolean "fullscreen", default: false
    t.boolean "controls", default: false
    t.string "legend", limit: 255
    t.string "style", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["video_file_id"], name: "idx_56258_index_video_contents_on_video_file_id"
  end

  create_table "video_file_langs", force: :cascade do |t|
    t.string "title", limit: 255
    t.text "description"
    t.string "slug", limit: 255
    t.bigint "video_file_id"
    t.bigint "lang_site_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["lang_site_id"], name: "idx_56296_index_video_file_langs_on_lang_site_id"
    t.index ["video_file_id"], name: "idx_56296_index_video_file_langs_on_video_file_id"
  end

  create_table "video_files", force: :cascade do |t|
    t.string "title", limit: 255
    t.text "description"
    t.string "token", limit: 255
    t.string "poster", limit: 255
    t.string "mpg", limit: 255
    t.string "ogg", limit: 255
    t.string "webm", limit: 255
    t.string "youtube_link", limit: 255
    t.string "youtube_code", limit: 255
    t.bigint "video_folder_id"
    t.string "slug", limit: 255
    t.bigint "image_file_id"
    t.string "vimeo_code", limit: 255
    t.boolean "public", default: false
    t.datetime "published_at"
    t.bigint "position"
    t.boolean "fr", default: true
    t.boolean "en", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["image_file_id"], name: "idx_56274_index_video_files_on_image_file_id"
    t.index ["video_folder_id"], name: "idx_56274_index_video_files_on_video_folder_id"
  end

  create_table "video_folders", force: :cascade do |t|
    t.string "name", limit: 255
    t.boolean "super_admin", default: false
    t.text "description"
    t.boolean "public", default: false
    t.bigint "position"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "volume_periodiques", force: :cascade do |t|
    t.string "codemanaginn", limit: 255
    t.string "codeindicateur", limit: 255
    t.datetime "datedebut"
    t.datetime "datefin"
    t.decimal "valeur", precision: 12, scale: 2
    t.datetime "datereception"
    t.text "commentaire"
    t.string "codesociete", limit: 255
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  add_foreign_key "admin_preferences", "admins", on_update: :restrict, on_delete: :restrict
  add_foreign_key "i_task_projects", "admins", on_update: :restrict, on_delete: :restrict
  add_foreign_key "i_tasks", "admins", on_update: :restrict, on_delete: :restrict
  add_foreign_key "i_tasks", "i_task_projects", on_update: :restrict, on_delete: :restrict
  add_foreign_key "import_csv_champs", "import_csvs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "import_csv_elements", "import_csvs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "import_csv_headers", "import_csvs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "line_stock_usages", "line_stocks", on_update: :restrict, on_delete: :restrict
  add_foreign_key "line_stocks", "p_product_refs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "mail_hists", "mail_contents", on_update: :restrict, on_delete: :restrict
  add_foreign_key "mail_hists", "mail_types", on_update: :restrict, on_delete: :restrict
  add_foreign_key "order_hist_lines", "order_hists", on_update: :restrict, on_delete: :restrict
  add_foreign_key "order_hist_lines", "p_commercials", on_update: :restrict, on_delete: :restrict
  add_foreign_key "order_hist_lines", "p_customers", on_update: :restrict, on_delete: :restrict
  add_foreign_key "order_hist_lines", "p_payment_types", on_update: :restrict, on_delete: :restrict
  add_foreign_key "order_hist_lines", "p_product_refs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_article_serial_nums", "p_articles", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_article_serial_nums", "p_serial_num_types", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_article_serial_nums", "p_serial_num_values", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_articles", "p_grades", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_articles", "p_product_refs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_commercial_object_brands", "p_commercial_objectives", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_commercial_object_brands", "p_commercials", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_commercial_object_brands", "s_brands", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_commercial_object_cats", "p_commercial_objectives", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_commercial_object_cats", "p_commercials", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_commercial_object_cats", "p_product_cats", column: "p_product_cats_id", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_commercial_object_months", "p_commercial_objectives", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_commercial_object_months", "p_commercials", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_commercial_objectives", "p_commercials", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_contact_contact_types", "p_contact_types", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_contact_contact_types", "p_contacts", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_customer_product_prices", "p_customers", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_customer_product_prices", "p_product_refs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_customer_ribs", "p_customers", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_fournisseur_refs", "p_fournisseurs"
  add_foreign_key "p_fournisseur_refs", "p_product_refs"
  add_foreign_key "p_product_aromes", "p_aromes", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_aromes", "p_products", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_images", "image_files", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_images", "p_product_refs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_images", "p_products", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_nutris", "p_nutris", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_nutris", "p_products", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_origines", "p_origines", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_origines", "p_products", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_p_customer_cats", "p_customer_cats", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_p_customer_cats", "p_products", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_p_product_sub_cats", "p_product_sub_cats", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_p_product_sub_cats", "p_products", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_prices", "p_price_cats", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_prices", "p_product_refs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_ref_price_histories", "p_product_refs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_ref_specs", "p_product_refs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_ref_specs", "p_spec_types", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_ref_specs", "p_spec_values", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_utilisations", "p_products", on_update: :restrict, on_delete: :restrict
  add_foreign_key "p_product_utilisations", "p_utilisations", on_update: :restrict, on_delete: :restrict
  add_foreign_key "partition_lines", "partitions", on_update: :restrict, on_delete: :restrict
  add_foreign_key "partitions", "admins", on_update: :restrict, on_delete: :restrict
  add_foreign_key "s_modules", "s_modules_states", on_update: :restrict, on_delete: :restrict
  add_foreign_key "sorecop_taxes", "sorecop_cats"
  add_foreign_key "stat_lines", "p_commercials", on_update: :restrict, on_delete: :restrict
  add_foreign_key "stat_lines", "p_customers", on_update: :restrict, on_delete: :restrict
  add_foreign_key "stat_lines", "p_product_refs", on_update: :restrict, on_delete: :restrict
  add_foreign_key "stat_lines", "p_products", on_update: :restrict, on_delete: :restrict
  add_foreign_key "stock_movement_lines", "stock_movements", on_update: :restrict, on_delete: :restrict
  add_foreign_key "timer_watchers", "admins", on_update: :restrict, on_delete: :restrict
  add_foreign_key "tva_rates", "accounting_zones", on_update: :restrict, on_delete: :restrict
  add_foreign_key "v_bdas", "volume_periodiques", on_update: :restrict, on_delete: :restrict
end
